2019-05-26 01:19 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006215Spring engineUnit Scriptingpublic2019-05-05 01:31
ReporterPicassoCT 
Assigned ToKloot 
PriorityhighSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version104.0 
Target VersionFixed in Version104.0 +git 
Summary0006215: Factory crashes game upon completing unit
DescriptionMy new game mosaic (https://github.com/PicassoCT/mosaic) contains unitfactorys(assembly) that are transported by another building (e.g. protagonsafehouse).

If this unitfactorys produce regular attackunits, all works fine.
However, if the unitfactory produces a unit which- can pick up and transport another unit - the engine will freeze.

This is independent of wether the unitscript of the unit trys to run and load a unit at start.
Removal of the unitscript did not fix the crashbug.

My system is
Steps To ReproduceStart a game - i use RAI for my testgames.
Enter /cheat.
The yellow hollow squares represent civilian buildings.
Spawn with /give protagonsafehouse a safehouse within the building.
Upgrade the safehouse to a assembly.
Build a machineguntruck within the assembly.
Building starts.
Building nearly completes (99 %)
Freeze occurs.

The Stacktrace below is repeately printed per frame.
Additional InformationInfolog with stacktrace:
Using writeable configuration source: "D:\spring\springsettings.cfg"
Using additional read-only configuration source: "C:\Users\PicassoCT\Documents\My Games\Spring\springsettings.cfg"
Available log sections: ModelRenderContainer, DecalsDrawerGL4, Path, AutohostInterface, Sound, BumpWater, GameServer, Net, LuaSocket, RoamMeshDrawer, CregSerializer, DynWater, SkyBox, Texture, Font, Shader, KeyBindings, ArchiveScanner, FarTextureHandler, Piece, CSMFGroundTextures, GroundMoveType, Model, OBJParser, VFS
Enabled log sections: Sound(Notice)
Enable or disable log sections using the LogSections configuration key
  or the SPRING_LOG_SECTIONS environment variable (both comma separated).
  Use "none" to disable the default log sections.
LogOutput initialized.
============== <User Config> ==============
  AdvSky = 1
  AllowDeferredMapRendering = 1
  AllowDeferredModelRendering = 1
  CamFreeScrollSpeed = 0
  ColorElev = 0
  FSAALevel = 4
  Fullscreen = 0
  GrassDetail = 0
  GroundDecals = 5
  GroundDetail = 142
  InputTextGeo = 0.26 0.73 0.02 0.028
  LastSelectedMap = Tabula-v4
  LastSelectedMod = MOSAIC $VERSION
  LastSelectedScript = Player vs. AI: RAI 0.601
  MaxNanoParticles = 10000
  MaxParticles = 20000
  MaxSounds = 116
  RotateLogFiles = 1
  ScreenshotCounter = 28
  ScrollWheelSpeed = -25
  ShadowMapSize = 8192
  Shadows = 1
  ShowClock = 0
  ShowPlayerInfo = 0
  TeamHighlight = 0
  TeamNanoSpray = 0
  TreeRadius = 3000
  UnitIconDist = 10000
  UsePBO = 0
  VSync = -1
  WindowPosX = 0
  WindowPosY = 23
  XResolutionWindowed = 1920
  YResolutionWindowed = 1017
  snd_volmaster = 100
============== </User Config> ==============
============== <User System> ==============
  Spring 104.0
    Build Environment: boost-105500, GNU libstdc++ version 20130531
     Compiler Version: gcc-4.8.1
     Operating System: Microsoft Windows
Microsoft Home Premium Edition, 64-bit (build 9200)
Intel(R) Core(TM) i5-7500 CPU @ 3.40GHz; 16329MB RAM, 18761MB pagefile
     Binary Word Size: 32-bit emulated
     Deque Chunk Size: 128
        Process Clock: std::chrono::high_resolution_clock
   Physical CPU Cores: 4
    Logical CPU Cores: 4
============== </User System> ==============
[good_fpu_init] CPU SSE mask: 127, flags:
    SSE 1.0: 1, SSE 2.0: 1
    SSE 3.0: 1, SSSE 3.0: 1
    SSE 4.1: 1, SSE 4.2: 1
    SSE 4.0A: 0, SSE 5.0A: 0
    using streflop SSE FP-math mode, CPU supports SSE instructions
[WatchDogInstall] Installed (HangTimeout: 10sec)
[WatchDog::RegisterThread] registering controls for thread [main]
[GL::CheckAvailableVideoModes] desktop={1920x1080x24bpp@60Hz} current={1920x1080x24bpp@60Hz}
    display=1 modes=49 bounds={x=0, y=0, w=1920, h=1080}
        [ 1] 1920x1080x24bpp@60Hz
        [10] 1680x1050x24bpp@60Hz
        [13] 1600x1024x24bpp@60Hz
        [15] 1600x900x24bpp@60Hz
        [17] 1440x900x24bpp@75Hz
        [26] 1280x800x24bpp@75Hz
        [29] 1280x720x24bpp@60Hz
    display=2 modes=57 bounds={x=-1080, y=2, w=1080, h=1920}
[GR::CreateSDLWindow] using 4x anti-aliasing and 24-bit depth-buffer (PF="SDL_PIXELFORMAT_RGB888")
[GR::LogVersionInfo]
    SDL version : 2.0.4 (linked) / 2.0.4 (compiled)
    GL version : 4.6.0 NVIDIA 388.13
    GL vendor : NVIDIA Corporation
    GL renderer : GeForce GTX 1050 Ti/PCIe/SSE2
    GLSL version: 4.60 NVIDIA
    GLEW version: 1.5.8
    GPU memory : 4096MB (total) / 3197MB (available)
    SDL swap-int: 1
    
    ARB shader support : 1
    GLSL shader support : 1
    FBO extension support : 1
    NVX GPU mem-info support : 1
    ATI GPU mem-info support : 0
    NPOT-texture support : 1 (1)
    texture query-LOD support : 1 (1)
    24-bit Z-buffer support : 1 (-)
    primitive-restart support : 1 (1)
    clip-space control support: 0 (0)
    frag-depth layout support : 1 (-)
    
    max. FBO samples : 32
    max. texture size : 32768
    max. texture anisotropy level: 16.000000
    max. vec4 varyings/attributes: 31/16
    max. draw-buffers : 8
    max. rec. indices/vertices : 1048576/1048576
    max. uniform buffer-bindings : 84
    max. uniform block-size : 64KB
    
    enable ATI-hacks : 0
    compress MIP-maps: 0
[GR::ToggleGLDebugOutput] OpenGL debug-context not installed (dbgErrors=0 dbgTraces=0)
[VSync::SetInterval] interval=-1 (adaptive)
[GR::LogDisplayMode] display-mode set to 1920x1017x24bpp@60Hz (windowed::decorated)
[DataDirLocater::Check] Portable Mode!
Using read-write data directory: D:\spring\
Using read-only data directory: C:\Users\PicassoCT\Documents\My Games\Spring\
Scanning: C:\Users\PicassoCT\Documents\My Games\Spring\maps
Scanning: C:\Users\PicassoCT\Documents\My Games\Spring\games
Scanning: C:\Users\PicassoCT\Documents\My Games\Spring\packages
Scanning: D:\spring\maps
Scanning: D:\spring\base
Scanning: D:\spring\games
Error: [AS::CheckCachedData] found a "C:\Users\PicassoCT\Documents\My Games\Spring\games\journeywar.sdd" already in "D:\spring\games\journeywar.sdd", ignoring.
[~ScopedOnceTimer][CArchiveScanner::ScanAllDirs] 23ms
[ThreadPool::SetThreadCount][1] wanted=3 current=1 maximum=4 (init=1)
[ThreadPool::SetThreadCount][2] workers=2
[Threading] Main thread CPU affinity mask set: 12
[f=-000001] [~ScopedOnceTimer][ISound::Init::New] 0ms
[f=-000001] [Sound] [ISound::Initialize] spawning sound-thread (0.0ms)
[f=-000001] [Sound] [Sound::UpdateThread][1] cfgMaxSounds=116
[f=-000001] [WatchDog::RegisterThread] registering controls for thread [audio]
[f=-000001] [Sound] [Sound::InitThread][1]
[f=-000001] [Sound] [Sound::InitThread][2] opening default device "OpenAL Soft"
[f=-000001] [Sound] [ISound::Initialize] spawning sound-thread (100.7ms)
[f=-000001] [Sound] [Sound::InitThread][3] device=051095e0 context=0400bd20
[f=-000001] [Sound] [Sound::InitThread][4][OpenAL API Info]
[f=-000001] [Sound] Vendor: OpenAL Community
[f=-000001] [Sound] Version: 1.1 ALSOFT 1.16.0
[f=-000001] [Sound] Renderer: OpenAL Soft
[f=-000001] [Sound] AL Extensions: AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_block_alignment AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFT_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_MSADPCM AL_SOFT_source_latency AL_SOFT_source_length
[f=-000001] [Sound] ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFTX_device_clock ALC_SOFTX_HRTF ALC_SOFT_loopback ALC_SOFTX_midi_interface ALC_SOFT_pause_device
[f=-000001] [Sound] Devices:
[f=-000001] [Sound] [Lautsprecher (Realtek High Definition Audio)]
[f=-000001] [Sound] [Realtek Digital Output (Realtek High Definition Audio)]
[f=-000001] [Sound] [DELL U2414H-0 (NVIDIA High Definition Audio)]
[f=-000001] [Sound] [MD20147-8 (NVIDIA High Definition Audio)]
[f=-000001] [Sound] [Lautsprecher (Realtek High Definition Audio)]
[f=-000001] [Sound] Error: EFX: AL_INVALID_VALUE (40963)
[f=-000001] [Sound] Error: Initializing EFX failed!
[f=-000001] [Sound] [Sound::UpdateThread][2]
[f=-000001] [~ScopedOnceTimer][ISound::Init::Dev] 201ms
[f=-000001] Joysticks found: 0
[f=-000001] [GR::LogDisplayMode] display-mode set to 1920x1017x24bpp@60Hz (windowed::decorated)
[f=-000001] [CPreGame] server using IP localhost and port 8452
[f=-000001] [NetProto::InitLocalClient] connecting to local server
[f=-000001] [PreGame::AddGameSetupArchivesToVFS] using map: Tabula-v4
[f=-000001] [PreGame::StartServer] checksums: game=0xA6AFC2EB map=0xAFFFC7F0
[f=-000001] Warning: [UDPListener::TryBindSocket] opening socket on loopback address, other users will not be able to connect!
[f=-000001] [UDPListener::TryBindSocket] binding UDP socket to IPv6-address ::1 (localhost) on port 8452
[f=-000001] [UDPListener] successfully bound socket on port 8452
[f=-000001] [~ScopedOnceTimer][PreGame::StartServer] 9788ms
[f=-000001] [PreGame::AddGameSetupArchivesToVFS] using map: Tabula-v4
[f=-000001] [PreGame::AddGameSetupArchivesToVFS] using game: MOSAIC $VERSION (archive: Mosaic.sdd)
[f=-000001] PreGame::GameDataReceived] recording demo to "D:\spring\demos\20190501_222211_Tabula-v4_104.sdfz"
[f=-000001] [~ScopedOnceTimer][PreGame::GameDataReceived] 135ms
[f=-000001] [PreGame::UpdateClientNet] received user number 0 (team 0, allyteam 0), creating load-screen
[f=-000001] [LuaIntro] Searching for new Widgets
[f=-000001] [LuaIntro] Scanning: LuaIntro/Addons/
[f=-000001] [LuaIntro] Scanning: LuaIntro/Widgets/
[f=-000001] [LuaIntro] Scanning: LuaIntro/SystemAddons/
[f=-000001] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
[f=-000001] [LuaIntro] Scanning: LuaIntro/chili/
[f=-000001] [LuaIntro] Found new widget "SpringLogo"
[f=-000001] [LuaIntro] Found new widget "LoadTexture"
[f=-000001] [LuaIntro] Found new widget "LoadProgress"
[f=-000001] [LuaIntro] Found new widget "Main"
[f=-000001] [LuaIntro] Found new widget "Music"
[f=-000001] [LuaIntro] Loading widgets <>=vfs **=raw ()=unknown
[f=-000001] [LuaIntro] Loading widget: LoadProgress <loadprogress.lua>
[f=-000001] [LuaIntro] Loading widget: Main <main.lua>
[f=-000001] [LuaIntro] Loading widget: Music <music.lua>
[f=-000001] [LuaIntro] Loading widget: LoadTexture <bg_texture.lua>
[f=-000001] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
[f=-000001] [LoadScreen::Init] single-threaded
[f=-000001] [WatchDog::RegisterThread] registering controls for thread [load]
[f=-000001] [Game::LoadGame][1] globalQuit=0 threaded=0
[f=-000001] Parsing Map Information
[f=-000001] Loading SMF
[f=-000001] Loading Map (90 MB)
[f=-000001] Loading Radar Icons
[f=-000001] Loading GameData Definitions
[f=-000001] [weapondefs.lua] Error: removed plane_aa_missile weaponDef, missing model
[f=-000001] [weapondefs.lua] Error: removed sphere_aa_missile weaponDef, missing model
[f=-000001] [defs.lua] loading all *Defs tables: 31ms
[f=-000001] [~ScopedOnceTimer][Game::LoadDefs (GameData)] 33ms
[f=-000001] Loading Sound Definitions
[f=-000001] [Sound] parsed 5 sounds from gamedata/sounds.lua
[f=-000001] [~ScopedOnceTimer][Game::LoadDefs (Sound)] 0ms
[f=-000001] [Game::LoadGame][2] globalQuit=0 forcedQuit=0
[f=-000001] Creating Smooth Height Mesh
[f=-000001] [~ScopedOnceTimer][SmoothHeightMesh::MakeSmoothMesh] 50ms
[f=-000001] Creating QuadField & CEGs
[f=-000001] [CDamageArrayHandler] number of ArmorDefs: 2
[f=-000001] [RegisterAssimpModelFormats] supported Assimp model formats: *.3ds;*.blend;*.dae;*.lwo;
[f=-000001] Creating Unit Textures
[f=-000001] Creating Sky
[f=-000001] [Game::LoadGame][3] globalQuit=0 forcedQuit=0
[f=-000001] Loading Weapon Definitions
[f=-000001] Warning: WeaponDefs: Unknown tag "collidefirebase" in "machinegun"
[f=-000001] Warning: WeaponDefs: Unknown tag "collidefirebase" in "railgun"
[f=-000001] Warning: WeaponDefs: Unknown tag "description" in "sniperrifle"
[f=-000001] Warning: WeaponDefs: Unknown tag "soundfire" in "sniperrifle"
[f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (WeaponDefs)] 16ms
[f=-000001] Loading Unit Definitions
[f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (UnitDefs)] 5ms
[f=-000001] Loading Feature Definitions
[f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (FeatureDefs)] 2ms
[f=-000001] [IPathManager::GetInstance] using QTPFS path-manager
[f=-000001] Initializing Map Features
[f=-000001] Creating ShadowHandler
[f=-000001] Creating InfoTextureHandler
[f=-000001] InfoTexture: shaders
[f=-000001] Creating GroundDrawer
[f=-000001] Loading Map Tiles
[f=-000001] Loading Square Textures
[f=-000001] [~ScopedOnceTimer][CSMFGroundTextures::ConvolveHeightMap] 1ms
[f=-000001] Switching to ROAM Mesh Rendering
[f=-000001] Creating TreeDrawer
[f=-000001] Loaded DecalsDrawer: Legacy
[f=-000001] Creating ProjectileDrawer & UnitDrawer
[f=-000001] Creating Projectile Textures
[f=-000001] Error: Could not finalize projectile-texture atlas. Use fewer/smaller textures.
[f=-000001] Warning: FBO-PERLIN: Missing a required texture/buffer attachment!
[f=-000001] Creating Water
[f=-000001] [Game::LoadGame][4] globalQuit=0 forcedQuit=0
[f=-000001] [~ScopedOnceTimer][Game::LoadInterface (Camera&Mouse)] 64ms
[f=-000001] [~ScopedOnceTimer][Game::LoadInterface (Console)] 0ms
[f=-000001] Loading LuaRules
[f=-000001] Synced LuaRules: starting loading
[f=-000001] Loading gadget: Lua unit script framework <unit_script.lua>
[f=-000001] Loading unit script: scripts/aircoptermgscript.lua
[f=-000001] Loading File:: scripts/aircoptermgscript.lua
[f=-000001] Completed Loading File: scripts/aircoptermgscript.lua
[f=-000001] Loading unit script: scripts/airssiedscript.lua
[f=-000001] Loading File:: scripts/airssiedscript.lua
[f=-000001] Completed Loading File: scripts/airssiedscript.lua
[f=-000001] Loading unit script: scripts/safehousescript.lua
[f=-000001] Loading File:: scripts/safehousescript.lua
[f=-000001] Completed Loading File: scripts/safehousescript.lua
[f=-000001] Loading unit script: scripts/assemblyscript.lua
[f=-000001] Loading File:: scripts/assemblyscript.lua
[f=-000001] Completed Loading File: scripts/assemblyscript.lua
[f=-000001] Loading unit script: scripts/civilianscript.lua
[f=-000001] Loading File:: scripts/civilianscript.lua
[f=-000001] Completed Loading File: scripts/civilianscript.lua
[f=-000001] Loading unit script: scripts/civilianagentscript.lua
[f=-000001] Loading File:: scripts/civilianagentscript.lua
[f=-000001] Completed Loading File: scripts/civilianagentscript.lua
[f=-000001] Loading unit script: scripts/gcscrapheap.lua
[f=-000001] Loading File:: scripts/gcscrapheap.lua
[f=-000001] Completed Loading File: scripts/gcscrapheap.lua
[f=-000001] Loading unit script: scripts/gcscrapheappeace.lua
[f=-000001] Loading File:: scripts/gcscrapheappeace.lua
[f=-000001] Completed Loading File: scripts/gcscrapheappeace.lua
[f=-000001] Loading unit script: scripts/truckassemblyscript.lua
[f=-000001] Loading File:: scripts/truckassemblyscript.lua
[f=-000001] Completed Loading File: scripts/truckassemblyscript.lua
[f=-000001] Loading unit script: scripts/turretscript.lua
[f=-000001] Loading File:: scripts/turretscript.lua
[f=-000001] Completed Loading File: scripts/turretscript.lua
[f=-000001] Loading unit script: scripts/housescript.lua
[f=-000001] Loading File:: scripts/housescript.lua
[f=-000001] Completed Loading File: scripts/housescript.lua
[f=-000001] Loading unit script: scripts/launchedicbmscript.lua
[f=-000001] Loading File:: scripts/launchedicbmscript.lua
[f=-000001] Completed Loading File: scripts/launchedicbmscript.lua
[f=-000001] Loading unit script: scripts/launcherscript.lua
[f=-000001] Loading File:: scripts/launcherscript.lua
[f=-000001] Completed Loading File: scripts/launcherscript.lua
[f=-000001] Loading unit script: scripts/placeholder.lua
[f=-000001] Loading File:: scripts/placeholder.lua
[f=-000001] Completed Loading File: scripts/placeholder.lua
[f=-000001] Loading unit script: scripts/nimrodscript.lua
[f=-000001] Loading File:: scripts/nimrodscript.lua
[f=-000001] Completed Loading File: scripts/nimrodscript.lua
[f=-000001] Loading unit script: scripts/noonescript.lua
[f=-000001] Loading File:: scripts/noonescript.lua
[f=-000001] Completed Loading File: scripts/noonescript.lua
[f=-000001] Loading unit script: scripts/operativeassetscript.lua
[f=-000001] Loading File:: scripts/operativeassetscript.lua
[f=-000001] Completed Loading File: scripts/operativeassetscript.lua
[f=-000001] Loading unit script: scripts/operativeinvestigatorscript.lua
[f=-000001] Loading File:: scripts/operativeinvestigatorscript.lua
[f=-000001] Completed Loading File: scripts/operativeinvestigatorscript.lua
[f=-000001] Loading unit script: scripts/operativepropagatorscript.lua
[f=-000001] Loading File:: scripts/operativepropagatorscript.lua
[f=-000001] Completed Loading File: scripts/operativepropagatorscript.lua
[f=-000001] Loading unit script: scripts/origodscript.lua
[f=-000001] Loading File:: scripts/origodscript.lua
[f=-000001] Completed Loading File: scripts/origodscript.lua
[f=-000001] Loading unit script: scripts/propagandaserverscript.lua
[f=-000001] Loading File:: scripts/propagandaserverscript.lua
[f=-000001] Completed Loading File: scripts/propagandaserverscript.lua
[f=-000001] Loading unit script: scripts/recruitcivilianscript.lua
[f=-000001] Loading File:: scripts/recruitcivilianscript.lua
[f=-000001] Completed Loading File: scripts/recruitcivilianscript.lua
[f=-000001] Loading unit script: scripts/satellitescript.lua
[f=-000001] Loading File:: scripts/satellitescript.lua
[f=-000001] Completed Loading File: scripts/satellitescript.lua
[f=-000001] Loading unit script: scripts/transportedassemblyscript.lua
[f=-000001] Loading File:: scripts/transportedassemblyscript.lua
[f=-000001] Completed Loading File: scripts/transportedassemblyscript.lua
[f=-000001] 512, 448
[f=-000001] satellitecom is a zeppelin with cruisealt 1500
[f=-000001] satellitegodrod is a zeppelin with cruisealt 1500
[f=-000001] satellitescan is a zeppelin with cruisealt 1500
[f=-000001] Synced LuaRules: finished loading
[f=-000001] Unsynced LuaRules: starting loading
[f=-000001] Unsynced LuaRules: finished loading
[f=-000001] Loading LuaGaia
[f=-000001] Loading LuaUI
[f=-000001] LuaUI Entry Point: "luaui.lua"
[f=-000001] LuaUI Access Lock: disabled
[f=-000001] LuaSocket Enabled: yes
[f=-000001] Using LUAUI_DIRNAME = LuaUI/
[f=-000001] Reloading GUI config from file: LuaUI/ctrlpanel.txt
[f=-000001] LuaUI: bound F11 to the widget selector
[f=-000001] LuaUI: bound CTRL+F11 to tweak mode
[f=-000001] LuaUI v0.3
[f=-000001] [Game::LoadGame][5] globalQuit=0 forcedQuit=0
[f=-000001] [LoadFinalize] finalizing PFS
[f=-000001] [PathManager::GetCacheDirName] using cache-dir cache\104rel-/QTPFS/000d/afffc7f0-a6afc2eb/ (map-checksum afffc7f0, mod-checksum a6afc2eb)
[f=-000001] [PathManager::InitNodeLayersThreaded] using 4 threads for 4 node-layers (uncached)
[f=-000001] [Load] pfs-checksum: 64d3a71b, mem-footprint: 48MB
[f=-000001] [LoadFinalize] finalized PFS (231ms, checksum 64d3a71b)
[f=-000001] Loading Skirmish AIs
[f=-000001] [Game::LoadGame][6] globalQuit=0 forcedQuit=0
[f=-000001] [LuaMemPool::LogStats][handle=LuaIntro (unsynced)] index=1 {blocks,sizes}={0,0} {int,ext,rec}Allocs={0,10952,0} {chunk,block}Bytes={0,0}
[f=-000001] GameID: f2ffc95c3595f43bc2518fe977b622c3
[f=-000001] Connection attempt from UnnamedPlayer
[f=-000001] -> Version: 104.0
[f=-000001] -> Connection established (given id 0)
[f=-000001] [Game::ClientReadNet][LOGMSG] sender="UnnamedPlayer" string="[PreGame::GameDataReceived][map-checksums={0xafffc7f0,0xafffc7f0}]"
[f=-000001] [Game::ClientReadNet][LOGMSG] sender="UnnamedPlayer" string="[PreGame::GameDataReceived][mod-checksums={0xa6afc2eb,0xa6afc2eb}]"
[f=-000001] Skirmish AI "Enemy" (ID:0, Short-Name:"RAI", Version:"0.601") took over control of team 1
[f=-000001] Player UnnamedPlayer finished loading and is now ingame
[f=-000001] Cheating is enabled!
[f=-000001] Starting game MOSAIC Version 0.1
[f=-000001] [Sound] Error: ReadWAV (sounds/weapons/pistol/stealthpistol.wav): invalid format tag
[f=-000001] [Sound] Warning: [LoadSoundBuffer] failed to load file "sounds/weapons/pistol/stealthpistol.wav"
[f=-000001] [Sound] Error: [Sound::GetSoundId] could not find sound "sounds/weapons/pistol/stealthpistol.wav"
[f=-000001] Loading File:: scripts/lib_OS.lua
[f=-000001] Completed Loading File: scripts/lib_OS.lua
[f=-000001] Loading File:: scripts/lib_UnitScript.lua
[f=-000001] Completed Loading File: scripts/lib_UnitScript.lua
[f=-000001] Loading File:: scripts/lib_Animation.lua
[f=-000001] Completed Loading File: scripts/lib_Animation.lua
[f=-000001] Loading File:: scripts/lib_Build.lua
[f=-000001] Completed Loading File: scripts/lib_Build.lua
[f=-000001] Loading File:: scripts/lib_mosaic.lua
[f=-000001] Completed Loading File: scripts/lib_mosaic.lua
[f=-000001] UnitCreated of InterrogateableType
[f=-000001] UnitCreated Registered InterrogateableType
[f=-000001] Activate 26864
[f=-000001] UnitCreated of InterrogateableType
[f=-000001] UnitCreated Registered InterrogateableType
[f=-000001] Activate 12691
[f=0000001] Loading File:: scripts/createCorpse.lua
[f=0000001] Completed Loading File: scripts/createCorpse.lua
[f=0000142] UnitCreated of InterrogateableType
[f=0000142] UnitCreated Registered InterrogateableType
[f=0000142] [GiveUnits] spawned 1 protagonsafehouse unit(s) for team 0
[f=0000161] Safehouse completed
[f=0000161] SafehouseAttached
[f=0000221] buildID found Upgrade
[f=0000267] Upgrade Complete
[f=0000411] Warning: [Watchdog] Hang detection triggered for Spring 104.0.
[f=0000411] Warning: (in threads: {main,load,audio}={1,0,0})
[f=0000411] Warning: DLL information:
[f=0000411] Error: 0x00400000 spring
[f=0000411] Error: 0x77820000 ntdll
[f=0000411] Error: 0x76150000 KERNEL32
[f=0000411] Error: 0x76a50000 KERNELBASE
[f=0000411] Error: 0x774a0000 ADVAPI32
[f=0000411] Error: 0x75590000 msvcrt
[f=0000411] Error: 0x741f0000 sechost
[f=0000411] Error: 0x76440000 RPCRT4
[f=0000411] Error: 0x740e0000 SspiCli
[f=0000411] Error: 0x740d0000 CRYPTBASE
[f=0000411] Error: 0x76cf0000 bcryptPrimitives
[f=0000411] Error: 0x74100000 IMAGEHLP
[f=0000411] Error: 0x772f0000 ucrtbase
[f=0000411] Error: 0x74240000 SHELL32
[f=0000411] Error: 0x75c10000 cfgmgr32
[f=0000411] Error: 0x54690000 GLU32
[f=0000411] Error: 0x76230000 shcore
[f=0000411] Error: 0x75ce0000 USER32
[f=0000411] Error: 0x76f40000 combase
[f=0000411] Error: 0x75f30000 win32u
[f=0000411] Error: 0x77530000 GDI32
[f=0000411] Error: 0x75650000 windows.storage
[f=0000411] Error: 0x545b0000 OPENGL32
[f=0000411] Error: 0x77560000 gdi32full
[f=0000411] Error: 0x741a0000 shlwapi
[f=0000411] Error: 0x74120000 msvcp_win
[f=0000411] Error: 0x77520000 kernel.appcore
[f=0000411] Error: 0x76f20000 profapi
[f=0000411] Error: 0x762c0000 powrprof
[f=0000411] Error: 0x76510000 FLTLIB
[f=0000411] Error: 0x75c50000 WS2_32
[f=0000411] Error: 0x10000000 DevIL
[f=0000411] Error: 0x6b800000 OpenAL32
[f=0000411] Error: 0x76950000 ole32
[f=0000411] Error: 0x70780000 vorbisfile
[f=0000411] Error: 0x62e80000 zlib1
[f=0000411] Error: 0x70e40000 libfreetype-6
[f=0000411] Error: 0x62aa0000 glew32
[f=0000411] Error: 0x65180000 libfontconfig-1
[f=0000411] Error: 0x6c740000 SDL2
[f=0000411] Error: 0x75e70000 IMM32
[f=0000411] Error: 0x76c50000 OLEAUT32
[f=0000411] Error: 0x70580000 WINMM
[f=0000411] Error: 0x68140000 ogg
[f=0000411] Error: 0x64cc0000 vorbis
[f=0000411] Error: 0x68f40000 libexpat-1
[f=0000411] Error: 0x73fe0000 VERSION
[f=0000411] Error: 0x700b0000 WINMMBASE
[f=0000411] Error: 0x54520000 MSVCP80
[f=0000411] Error: 0x54480000 MSVCR80
[f=0000411] Error: 0x6dbf0000 nvapi
[f=0000411] Error: 0x76520000 SETUPAPI
[f=0000411] Error: 0x6db50000 dxgi
[f=0000411] Error: 0x6e390000 uxtheme
[f=0000411] Error: 0x771a0000 MSCTF
[f=0000411] Error: 0x6e360000 dwmapi
[f=0000411] Error: 0x52860000 nvoglv32
[f=0000411] Error: 0x70630000 WTSAPI32
[f=0000411] Error: 0x6f330000 DEVOBJ
[f=0000411] Error: 0x76310000 WINTRUST
[f=0000411] Error: 0x76500000 MSASN1
[f=0000411] Error: 0x75fb0000 CRYPT32
[f=0000411] Error: 0x6edc0000 ntmarta
[f=0000411] Error: 0x657d0000 nvspcap
[f=0000411] Error: 0x6dac0000 WINSTA
[f=0000411] Error: 0x77410000 clbcatq
[f=0000411] Error: 0x650f0000 TextInputFramework
[f=0000411] Error: 0x64e90000 CoreUIComponents
[f=0000411] Error: 0x64e00000 CoreMessaging
[f=0000411] Error: 0x67000000 wintypes
[f=0000411] Error: 0x6fc30000 shfolder
[f=0000411] Error: 0x66fa0000 MMDevApi
[f=0000411] Error: 0x6f9f0000 PROPSYS
[f=0000411] Error: 0x527d0000 dsound
[f=0000411] Error: 0x670e0000 AUDIOSES
[f=0000411] Error: 0x719a0000 AVRT
[f=0000411] Error: 0x52790000 dinput8
[f=0000411] Error: 0x5e510000 inputhost
[f=0000411] Error: 0x71990000 HID
[f=0000411] Error: 0x59730000 XInput1_4
[f=0000411] Error: 0x6eb60000 mswsock
[f=0000411] Error: 0x6f2a0000 DNSAPI
[f=0000411] Error: 0x76c40000 NSI
[f=0000411] Error: 0x6fb90000 IPHLPAPI
[f=0000411] Error: 0x6dab0000 rasadhlp
[f=0000411] Error: 0x6ec10000 fwpuclnt
[f=0000411] Error: 0x700e0000 bcrypt
[f=0000411] Error: 0x63580000 AIInterface
[f=0000411] Error: 0x61a00000 SkirmishAI
[f=0000411] Error: 0x64a00000 dbghelp
[f=0000411] Warning: Stacktrace (main) for Spring 104.0:
[f=0000411] Warning: [ProgCtr=00bda793 StackPtr=0195b5f0 FramePtr=0195b6f8]
[f=0000411] Warning: (0) D:\spring\spring.exe [0x00BDA793]
[f=0000411] Warning: (1) D:\spring\spring.exe [0x00BDB2D6]
[f=0000411] Warning: (2) D:\spring\spring.exe [0x00BDB4B3]
[f=0000411] Warning: (3) D:\spring\spring.exe [0x00BCE55F]
[f=0000411] Warning: (4) D:\spring\spring.exe [0x0042F2DF]
[f=0000411] Warning: (5) D:\spring\spring.exe [0x0053BFB5]
[f=0000411] Warning: (6) D:\spring\spring.exe [0x0043BA20]
[f=0000411] Warning: (7) D:\spring\spring.exe [0x00886531]
[f=0000411] Warning: (8) D:\spring\spring.exe [0x0088A53B]
[f=0000411] Warning: (9) D:\spring\spring.exe [0x0086D1D3]
[f=0000411] Warning: (10) D:\spring\spring.exe [0x00EC7B8B]
[f=0000411] Warning: (11) D:\spring\spring.exe [0x00401402]
[f=0000411] Warning: (12) C:\WINDOWS\System32\KERNEL32.DLL [0x00018494]
[f=0000411] Warning: (13) C:\WINDOWS\SYSTEM32\ntdll.dll [0x000641C8]
[f=0000411] Warning: (14) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00064198]
[f=0000411] Warning: Stacktrace (audio) for Spring 104.0:
[f=0000411] Warning: [ProgCtr=7788ac1c StackPtr=0fb9fdb4 FramePtr=0fb9fe18]
[f=0000411] Warning: (0) C:\WINDOWS\SYSTEM32\ntdll.dll [0x0006AC1C]
[f=0000411] Warning: (1) C:\WINDOWS\System32\KERNELBASE.dll [0x0010717F]
[f=0000411] Warning: (2) D:\spring\spring.exe [0x00935574]
[f=0000411] Warning: (3) D:\spring\spring.exe [0x00DBB477]
[f=0000411] Warning: (4) D:\spring\spring.exe [0x00DEE8E3]
[f=0000411] Warning: (5) C:\WINDOWS\System32\msvcrt.dll [0x00066B41]
[f=0000411] Warning: (6) C:\WINDOWS\System32\KERNEL32.DLL [0x00018494]
[f=0000411] Warning: (7) C:\WINDOWS\SYSTEM32\ntdll.dll [0x000641C8]
[f=0000411] Warning: (8) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00064198]
[f=0000411] Warning: [Watchdog] Hang detection triggered for Spring 104.0.
[f=0000411] Warning: (in threads: {main,load,audio}={1,0,0})
[f=0000411] Warning: DLL information:
[f=0000411] Error: 0x00400000 spring
[f=0000411] Error: 0x77820000 ntdll
[f=0000411] Error: 0x76150000 KERNEL32
[f=0000411] Error: 0x76a50000 KERNELBASE
[f=0000411] Error: 0x774a0000 ADVAPI32
[f=0000411] Error: 0x75590000 msvcrt
[f=0000411] Error: 0x741f0000 sechost
[f=0000411] Error: 0x76440000 RPCRT4
[f=0000411] Error: 0x740e0000 SspiCli
[f=0000411] Error: 0x740d0000 CRYPTBASE
[f=0000411] Error: 0x76cf0000 bcryptPrimitives
[f=0000411] Error: 0x74100000 IMAGEHLP
[f=0000411] Error: 0x772f0000 ucrtbase
[f=0000411] Error: 0x74240000 SHELL32
[f=0000411] Error: 0x75c10000 cfgmgr32
[f=0000411] Error: 0x54690000 GLU32
[f=0000411] Error: 0x76230000 shcore
[f=0000411] Error: 0x75ce0000 USER32
[f=0000411] Error: 0x76f40000 combase
[f=0000411] Error: 0x75f30000 win32u
[f=0000411] Error: 0x77530000 GDI32
[f=0000411] Error: 0x75650000 windows.storage
[f=0000411] Error: 0x545b0000 OPENGL32
[f=0000411] Error: 0x77560000 gdi32full
[f=0000411] Error: 0x741a0000 shlwapi
[f=0000411] Error: 0x74120000 msvcp_win
[f=0000411] Error: 0x77520000 kernel.appcore
[f=0000411] Error: 0x76f20000 profapi
[f=0000411] Error: 0x762c0000 powrprof
[f=0000411] Error: 0x76510000 FLTLIB
[f=0000411] Error: 0x75c50000 WS2_32
[f=0000411] Error: 0x10000000 DevIL
[f=0000411] Error: 0x6b800000 OpenAL32
[f=0000411] Error: 0x76950000 ole32
[f=0000411] Error: 0x70780000 vorbisfile
[f=0000411] Error: 0x62e80000 zlib1
[f=0000411] Error: 0x70e40000 libfreetype-6
[f=0000411] Error: 0x62aa0000 glew32
[f=0000411] Error: 0x65180000 libfontconfig-1
[f=0000411] Error: 0x6c740000 SDL2
[f=0000411] Error: 0x75e70000 IMM32
[f=0000411] Error: 0x76c50000 OLEAUT32
[f=0000411] Error: 0x70580000 WINMM
[f=0000411] Error: 0x68140000 ogg
[f=0000411] Error: 0x64cc0000 vorbis
[f=0000411] Error: 0x68f40000 libexpat-1
[f=0000411] Error: 0x73fe0000 VERSION
[f=0000411] Error: 0x700b0000 WINMMBASE
[f=0000411] Error: 0x54520000 MSVCP80
[f=0000411] Error: 0x54480000 MSVCR80
[f=0000411] Error: 0x6dbf0000 nvapi
[f=0000411] Error: 0x76520000 SETUPAPI
[f=0000411] Error: 0x6db50000 dxgi
[f=0000411] Error: 0x6e390000 uxtheme
[f=0000411] Error: 0x771a0000 MSCTF
[f=0000411] Error: 0x6e360000 dwmapi
[f=0000411] Error: 0x52860000 nvoglv32
[f=0000411] Error: 0x70630000 WTSAPI32
[f=0000411] Error: 0x6f330000 DEVOBJ
[f=0000411] Error: 0x76310000 WINTRUST
[f=0000411] Error: 0x76500000 MSASN1
[f=0000411] Error: 0x75fb0000 CRYPT32
[f=0000411] Error: 0x6edc0000 ntmarta
[f=0000411] Error: 0x657d0000 nvspcap
[f=0000411] Error: 0x6dac0000 WINSTA
[f=0000411] Error: 0x77410000 clbcatq
[f=0000411] Error: 0x650f0000 TextInputFramework
[f=0000411] Error: 0x64e90000 CoreUIComponents
[f=0000411] Error: 0x64e00000 CoreMessaging
[f=0000411] Error: 0x67000000 wintypes
[f=0000411] Error: 0x6fc30000 shfolder
[f=0000411] Error: 0x66fa0000 MMDevApi
[f=0000411] Error: 0x6f9f0000 PROPSYS
[f=0000411] Error: 0x527d0000 dsound
[f=0000411] Error: 0x670e0000 AUDIOSES
[f=0000411] Error: 0x719a0000 AVRT
[f=0000411] Error: 0x52790000 dinput8
[f=0000411] Error: 0x5e510000 inputhost
[f=0000411] Error: 0x71990000 HID
[f=0000411] Error: 0x59730000 XInput1_4
[f=0000411] Error: 0x6eb60000 mswsock
[f=0000411] Error: 0x6f2a0000 DNSAPI
[f=0000411] Error: 0x76c40000 NSI
[f=0000411] Error: 0x6fb90000 IPHLPAPI
[f=0000411] Error: 0x6dab0000 rasadhlp
[f=0000411] Error: 0x6ec10000 fwpuclnt
[f=0000411] Error: 0x700e0000 bcrypt
[f=0000411] Error: 0x63580000 AIInterface
[f=0000411] Error: 0x61a00000 SkirmishAI
[f=0000411] Error: 0x64a00000 dbghelp
[f=0000411] Warning: Stacktrace (main) for Spring 104.0:
[f=0000411] Warning: [ProgCtr=00bda7a3 StackPtr=0195b5f0 FramePtr=0195b6f8]
[f=0000411] Warning: (0) D:\spring\spring.exe [0x00BDA7A3]
[f=0000411] Warning: (1) D:\spring\spring.exe [0x00BDB2D6]
[f=0000411] Warning: (2) D:\spring\spring.exe [0x00BDB4B3]
[f=0000411] Warning: (3) D:\spring\spring.exe [0x00BCE55F]
[f=0000411] Warning: (4) D:\spring\spring.exe [0x0042F2DF]
[f=0000411] Warning: (5) D:\spring\spring.exe [0x0053BFB5]
[f=0000411] Warning: (6) D:\spring\spring.exe [0x0043BA20]
[f=0000411] Warning: (7) D:\spring\spring.exe [0x00886531]
[f=0000411] Warning: (8) D:\spring\spring.exe [0x0088A53B]
[f=0000411] Warning: (9) D:\spring\spring.exe [0x0086D1D3]
[f=0000411] Warning: (10) D:\spring\spring.exe [0x00EC7B8B]
[f=0000411] Warning: (11) D:\spring\spring.exe [0x00401402]
[f=0000411] Warning: (12) C:\WINDOWS\System32\KERNEL32.DLL [0x00018494]
[f=0000411] Warning: (13) C:\WINDOWS\SYSTEM32\ntdll.dll [0x000641C8]
[f=0000411] Warning: (14) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00064198]
[f=0000411] Warning: Stacktrace (audio) for Spring 104.0:
[f=0000411] Warning: [ProgCtr=7788ac1c StackPtr=0fb9fdb4 FramePtr=0fb9fe18]
[f=0000411] Warning: (0) C:\WINDOWS\SYSTEM32\ntdll.dll [0x0006AC1C]
[f=0000411] Warning: (1) C:\WINDOWS\System32\KERNELBASE.dll [0x0010717F]
[f=0000411] Warning: (2) D:\spring\spring.exe [0x00935574]
[f=0000411] Warning: (3) D:\spring\spring.exe [0x00DBB477]
[f=0000411] Warning: (4) D:\spring\spring.exe [0x00DEE8E3]
[f=0000411] Warning: (5) C:\WINDOWS\System32\msvcrt.dll [0x00066B41]
[f=0000411] Warning: (6) C:\WINDOWS\System32\KERNEL32.DLL [0x00018494]
[f=0000411] Warning: (7) C:\WINDOWS\SYSTEM32\ntdll.dll [0x000641C8]
[f=0000411] Warning: (8) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00064198]
[f=0000411] Warning: [Watchdog] Hang detection triggered for Spring 104.0.
[f=0000411] Warning: (in threads: {main,load,audio}={1,0,0})
[f=0000411] Warning: DLL information:
[f=0000411] Error: 0x00400000 spring
[f=0000411] Error: 0x77820000 ntdll
[f=0000411] Error: 0x76150000 KERNEL32
[f=0000411] Error: 0x76a50000 KERNELBASE
[f=0000411] Error: 0x774a0000 ADVAPI32
[f=0000411] Error: 0x75590000 msvcrt
[f=0000411] Error: 0x741f0000 sechost
[f=0000411] Error: 0x76440000 RPCRT4
[f=0000411] Error: 0x740e0000 SspiCli
[f=0000411] Error: 0x740d0000 CRYPTBASE
[f=0000411] Error: 0x76cf0000 bcryptPrimitives
[f=0000411] Error: 0x74100000 IMAGEHLP
[f=0000411] Error: 0x772f0000 ucrtbase
[f=0000411] Error: 0x74240000 SHELL32
[f=0000411] Error: 0x75c10000 cfgmgr32
[f=0000411] Error: 0x54690000 GLU32
[f=0000411] Error: 0x76230000 shcore
[f=0000411] Error: 0x75ce0000 USER32
[f=0000411] Error: 0x76f40000 combase
[f=0000411] Error: 0x75f30000 win32u
[f=0000411] Error: 0x77530000 GDI32
[f=0000411] Error: 0x75650000 windows.storage
[f=0000411] Error: 0x545b0000 OPENGL32
[f=0000411] Error: 0x77560000 gdi32full
[f=0000411] Error: 0x741a0000 shlwapi
[f=0000411] Error: 0x74120000 msvcp_win
[f=0000411] Error: 0x77520000 kernel.appcore
[f=0000411] Error: 0x76f20000 profapi
[f=0000411] Error: 0x762c0000 powrprof
[f=0000411] Error: 0x76510000 FLTLIB
[f=0000411] Error: 0x75c50000 WS2_32
[f=0000411] Error: 0x10000000 DevIL
[f=0000411] Error: 0x6b800000 OpenAL32
[f=0000411] Error: 0x76950000 ole32
[f=0000411] Error: 0x70780000 vorbisfile
[f=0000411] Error: 0x62e80000 zlib1
[f=0000411] Error: 0x70e40000 libfreetype-6
[f=0000411] Error: 0x62aa0000 glew32
[f=0000411] Error: 0x65180000 libfontconfig-1
[f=0000411] Error: 0x6c740000 SDL2
[f=0000411] Error: 0x75e70000 IMM32
[f=0000411] Error: 0x76c50000 OLEAUT32
[f=0000411] Error: 0x70580000 WINMM
[f=0000411] Error: 0x68140000 ogg
[f=0000411] Error: 0x64cc0000 vorbis
[f=0000411] Error: 0x68f40000 libexpat-1
[f=0000411] Error: 0x73fe0000 VERSION
[f=0000411] Error: 0x700b0000 WINMMBASE
[f=0000411] Error: 0x54520000 MSVCP80
[f=0000411] Error: 0x54480000 MSVCR80
[f=0000411] Error: 0x6dbf0000 nvapi
[f=0000411] Error: 0x76520000 SETUPAPI
[f=0000411] Error: 0x6db50000 dxgi
[f=0000411] Error: 0x6e390000 uxtheme
[f=0000411] Error: 0x771a0000 MSCTF
[f=0000411] Error: 0x6e360000 dwmapi
[f=0000411] Error: 0x52860000 nvoglv32
[f=0000411] Error: 0x70630000 WTSAPI32
[f=0000411] Error: 0x6f330000 DEVOBJ
[f=0000411] Error: 0x76310000 WINTRUST
[f=0000411] Error: 0x76500000 MSASN1
[f=0000411] Error: 0x75fb0000 CRYPT32
[f=0000411] Error: 0x6edc0000 ntmarta
[f=0000411] Error: 0x657d0000 nvspcap
[f=0000411] Error: 0x6dac0000 WINSTA
[f=0000411] Error: 0x77410000 clbcatq
[f=0000411] Error: 0x650f0000 TextInputFramework
[f=0000411] Error: 0x64e90000 CoreUIComponents
[f=0000411] Error: 0x64e00000 CoreMessaging
[f=0000411] Error: 0x67000000 wintypes
[f=0000411] Error: 0x6fc30000 shfolder
[f=0000411] Error: 0x66fa0000 MMDevApi
[f=0000411] Error: 0x6f9f0000 PROPSYS
[f=0000411] Error: 0x527d0000 dsound
[f=0000411] Error: 0x670e0000 AUDIOSES
[f=0000411] Error: 0x719a0000 AVRT
[f=0000411] Error: 0x52790000 dinput8
[f=0000411] Error: 0x5e510000 inputhost
[f=0000411] Error: 0x71990000 HID
[f=0000411] Error: 0x59730000 XInput1_4
[f=0000411] Error: 0x6eb60000 mswsock
[f=0000411] Error: 0x6f2a0000 DNSAPI
[f=0000411] Error: 0x76c40000 NSI
[f=0000411] Error: 0x6fb90000 IPHLPAPI
[f=0000411] Error: 0x6dab0000 rasadhlp
[f=0000411] Error: 0x6ec10000 fwpuclnt
[f=0000411] Error: 0x700e0000 bcrypt
[f=0000411] Error: 0x63580000 AIInterface
[f=0000411] Error: 0x61a00000 SkirmishAI
[f=0000411] Error: 0x64a00000 dbghelp
[f=0000411] Warning: Stacktrace (main) for Spring 104.0:
[f=0000411] Warning: [ProgCtr=00bda7a3 StackPtr=0195b5f0 FramePtr=0195b6f8]
[f=0000411] Warning: (0) D:\spring\spring.exe [0x00BDA7A3]
[f=0000411] Warning: (1) D:\spring\spring.exe [0x00BDB2D6]
[f=0000411] Warning: (2) D:\spring\spring.exe [0x00BDB4B3]
[f=0000411] Warning: (3) D:\spring\spring.exe [0x00BCE55F]
[f=0000411] Warning: (4) D:\spring\spring.exe [0x0042F2DF]
[f=0000411] Warning: (5) D:\spring\spring.exe [0x0053BFB5]
[f=0000411] Warning: (6) D:\spring\spring.exe [0x0043BA20]
[f=0000411] Warning: (7) D:\spring\spring.exe [0x00886531]
[f=0000411] Warning: (8) D:\spring\spring.exe [0x0088A53B]
[f=0000411] Warning: (9) D:\spring\spring.exe [0x0086D1D3]
[f=0000411] Warning: (10) D:\spring\spring.exe [0x00EC7B8B]
[f=0000411] Warning: (11) D:\spring\spring.exe [0x00401402]
[f=0000411] Warning: (12) C:\WINDOWS\System32\KERNEL32.DLL [0x00018494]
[f=0000411] Warning: (13) C:\WINDOWS\SYSTEM32\ntdll.dll [0x000641C8]
[f=0000411] Warning: (14) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00064198]
[f=0000411] Warning: Stacktrace (audio) for Spring 104.0:
[f=0000411] Warning: [ProgCtr=7788ac1c StackPtr=0fb9fdb4 FramePtr=0fb9fe18]
[f=0000411] Warning: (0) C:\WINDOWS\SYSTEM32\ntdll.dll [0x0006AC1C]
[f=0000411] Warning: (1) C:\WINDOWS\System32\KERNELBASE.dll [0x0010717F]
[f=0000411] Warning: (2) D:\spring\spring.exe [0x00935574]
[f=0000411] Warning: (3) D:\spring\spring.exe [0x00DBB477]
[f=0000411] Warning: (4) D:\spring\spring.exe [0x00DEE8E3]
[f=0000411] Warning: (5) C:\WINDOWS\System32\msvcrt.dll [0x00066B41]
[f=0000411] Warning: (6) C:\WINDOWS\System32\KERNEL32.DLL [0x00018494]
[f=0000411] Warning: (7) C:\WINDOWS\SYSTEM32\ntdll.dll [0x000641C8]
[f=0000411] Warning: (8) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00064198]
[f=0000411] Warning: [Watchdog] Hang detection triggered for Spring 104.0.
[f=0000411] Warning: (in threads: {main,load,audio}={1,0,0})
[f=0000411] Warning: DLL information:
[f=0000411] Error: 0x00400000 spring
[f=0000411] Error: 0x77820000 ntdll
[f=0000411] Error: 0x76150000 KERNEL32
[f=0000411] Error: 0x76a50000 KERNELBASE
[f=0000411] Error: 0x774a0000 ADVAPI32
[f=0000411] Error: 0x75590000 msvcrt
[f=0000411] Error: 0x741f0000 sechost
[f=0000411] Error: 0x76440000 RPCRT4
[f=0000411] Error: 0x740e0000 SspiCli
[f=0000411] Error: 0x740d0000 CRYPTBASE
[f=0000411] Error: 0x76cf0000 bcryptPrimitives
[f=0000411] Error: 0x74100000 IMAGEHLP
[f=0000411] Error: 0x772f0000 ucrtbase
[f=0000411] Error: 0x74240000 SHELL32
[f=0000411] Error: 0x75c10000 cfgmgr32
[f=0000411] Error: 0x54690000 GLU32
[f=0000411] Error: 0x76230000 shcore
[f=0000411] Error: 0x75ce0000 USER32
[f=0000411] Error: 0x76f40000 combase
[f=0000411] Error: 0x75f30000 win32u
[f=0000411] Error: 0x77530000 GDI32
[f=0000411] Error: 0x75650000 windows.storage
[f=0000411] Error: 0x545b0000 OPENGL32
[f=0000411] Error: 0x77560000 gdi32full
[f=0000411] Error: 0x741a0000 shlwapi
[f=0000411] Error: 0x74120000 msvcp_win
[f=0000411] Error: 0x77520000 kernel.appcore
[f=0000411] Error: 0x76f20000 profapi
[f=0000411] Error: 0x762c0000 powrprof
[f=0000411] Error: 0x76510000 FLTLIB
[f=0000411] Error: 0x75c50000 WS2_32
[f=0000411] Error: 0x10000000 DevIL
[f=0000411] Error: 0x6b800000 OpenAL32
[f=0000411] Error: 0x76950000 ole32
[f=0000411] Error: 0x70780000 vorbisfile
[f=0000411] Error: 0x62e80000 zlib1
[f=0000411] Error: 0x70e40000 libfreetype-6
[f=0000411] Error: 0x62aa0000 glew32
[f=0000411] Error: 0x65180000 libfontconfig-1
[f=0000411] Error: 0x6c740000 SDL2
[f=0000411] Error: 0x75e70000 IMM32
[f=0000411] Error: 0x76c50000 OLEAUT32
[f=0000411] Error: 0x70580000 WINMM
[f=0000411] Error: 0x68140000 ogg
[f=0000411] Error: 0x64cc0000 vorbis
[f=0000411] Error: 0x68f40000 libexpat-1
[f=0000411] Error: 0x73fe0000 VERSION
[f=0000411] Error: 0x700b0000 WINMMBASE
[f=0000411] Error: 0x54520000 MSVCP80
[f=0000411] Error: 0x54480000 MSVCR80
[f=0000411] Error: 0x6dbf0000 nvapi
[f=0000411] Error: 0x76520000 SETUPAPI
[f=0000411] Error: 0x6db50000 dxgi
[f=0000411] Error: 0x6e390000 uxtheme
[f=0000411] Error: 0x771a0000 MSCTF
[f=0000411] Error: 0x6e360000 dwmapi
[f=0000411] Error: 0x52860000 nvoglv32
[f=0000411] Error: 0x70630000 WTSAPI32
[f=0000411] Error: 0x6f330000 DEVOBJ
[f=0000411] Error: 0x76310000 WINTRUST
[f=0000411] Error: 0x76500000 MSASN1
[f=0000411] Error: 0x75fb0000 CRYPT32
[f=0000411] Error: 0x6edc0000 ntmarta
[f=0000411] Error: 0x657d0000 nvspcap
[f=0000411] Error: 0x6dac0000 WINSTA
[f=0000411] Error: 0x77410000 clbcatq
[f=0000411] Error: 0x650f0000 TextInputFramework
[f=0000411] Error: 0x64e90000 CoreUIComponents
[f=0000411] Error: 0x64e00000 CoreMessaging
[f=0000411] Error: 0x67000000 wintypes
[f=0000411] Error: 0x6fc30000 shfolder
[f=0000411] Error: 0x66fa0000 MMDevApi
[f=0000411] Error: 0x6f9f0000 PROPSYS
[f=0000411] Error: 0x527d0000 dsound
[f=0000411] Error: 0x670e0000 AUDIOSES
[f=0000411] Error: 0x719a0000 AVRT
[f=0000411] Error: 0x52790000 dinput8
[f=0000411] Error: 0x5e510000 inputhost
[f=0000411] Error: 0x71990000 HID
[f=0000411] Error: 0x59730000 XInput1_4
[f=0000411] Error: 0x6eb60000 mswsock
[f=0000411] Error: 0x6f2a0000 DNSAPI
[f=0000411] Error: 0x76c40000 NSI
[f=0000411] Error: 0x6fb90000 IPHLPAPI
[f=0000411] Error: 0x6dab0000 rasadhlp
[f=0000411] Error: 0x6ec10000 fwpuclnt
[f=0000411] Error: 0x700e0000 bcrypt
[f=0000411] Error: 0x63580000 AIInterface
[f=0000411] Error: 0x61a00000 SkirmishAI
[f=0000411] Error: 0x64a00000 dbghelp
[f=0000411] Warning: Stacktrace (main) for Spring 104.0:
[f=0000411] Warning: [ProgCtr=00bda79b StackPtr=0195b5f0 FramePtr=0195b6f8]
[f=0000411] Warning: (0) D:\spring\spring.exe [0x00BDA79B]
[f=0000411] Warning: (1) D:\spring\spring.exe [0x00BDB2D6]
[f=0000411] Warning: (2) D:\spring\spring.exe [0x00BDB4B3]
[f=0000411] Warning: (3) D:\spring\spring.exe [0x00BCE55F]
[f=0000411] Warning: (4) D:\spring\spring.exe [0x0042F2DF]
[f=0000411] Warning: (5) D:\spring\spring.exe [0x0053BFB5]
[f=0000411] Warning: (6) D:\spring\spring.exe [0x0043BA20]
[f=0000411] Warning: (7) D:\spring\spring.exe [0x00886531]
[f=0000411] Warning: (8) D:\spring\spring.exe [0x0088A53B]
[f=0000411] Warning: (9) D:\spring\spring.exe [0x0086D1D3]
[f=0000411] Warning: (10) D:\spring\spring.exe [0x00EC7B8B]
[f=0000411] Warning: (11) D:\spring\spring.exe [0x00401402]
[f=0000411] Warning: (12) C:\WINDOWS\System32\KERNEL32.DLL [0x00018494]
[f=0000411] Warning: (13) C:\WINDOWS\SYSTEM32\ntdll.dll [0x000641C8]
[f=0000411] Warning: (14) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00064198]
[f=0000411] Warning: Stacktrace (audio) for Spring 104.0:
[f=0000411] Warning: [ProgCtr=7788ac1c StackPtr=0fb9fdb4 FramePtr=0fb9fe18]
[f=0000411] Warning: (0) C:\WINDOWS\SYSTEM32\ntdll.dll [0x0006AC1C]
[f=0000411] Warning: (1) C:\WINDOWS\System32\KERNELBASE.dll [0x0010717F]
[f=0000411] Warning: (2) D:\spring\spring.exe [0x00935574]
[f=0000411] Warning: (3) D:\spring\spring.exe [0x00DBB477]
[f=0000411] Warning: (4) D:\spring\spring.exe [0x00DEE8E3]
[f=0000411] Warning: (5) C:\WINDOWS\System32\msvcrt.dll [0x00066B41]
[f=0000411] Warning: (6) C:\WINDOWS\System32\KERNEL32.DLL [0x00018494]
[f=0000411] Warning: (7) C:\WINDOWS\SYSTEM32\ntdll.dll [0x000641C8]
[f=0000411] Warning: (8) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00064198]
[f=0000411] Warning: [Watchdog] Hang detection triggered for Spring 104.0.
[f=0000411] Warning: (in threads: {main,load,audio}={1,0,0})
[f=0000411] Warning: DLL information:
[f=0000411] Error: 0x00400000 spring
[f=0000411] Error: 0x77820000 ntdll
[f=0000411] Error: 0x76150000 KERNEL32
[f=0000411] Error: 0x76a50000 KERNELBASE
[f=0000411] Error: 0x774a0000 ADVAPI32
[f=0000411] Error: 0x75590000 msvcrt
[f=0000411] Error: 0x741f0000 sechost
[f=0000411] Error: 0x76440000 RPCRT4
[f=0000411] Error: 0x740e0000 SspiCli
[f=0000411] Error: 0x740d0000 CRYPTBASE
[f=0000411] Error: 0x76cf0000 bcryptPrimitives
[f=0000411] Error: 0x74100000 IMAGEHLP
[f=0000411] Error: 0x772f0000 ucrtbase
[f=0000411] Error: 0x74240000 SHELL32
[f=0000411] Error: 0x75c10000 cfgmgr32
[f=0000411] Error: 0x54690000 GLU32
[f=0000411] Error: 0x76230000 shcore
[f=0000411] Error: 0x75ce0000 USER32
[f=0000411] Error: 0x76f40000 combase
[f=0000411] Error: 0x75f30000 win32u
[f=0000411] Error: 0x77530000 GDI32
[f=0000411] Error: 0x75650000 windows.storage
[f=0000411] Error: 0x545b0000 OPENGL32
[f=0000411] Error: 0x77560000 gdi32full
[f=0000411] Error: 0x741a0000 shlwapi
[f=0000411] Error: 0x74120000 msvcp_win
[f=0000411] Error: 0x77520000 kernel.appcore
[f=0000411] Error: 0x76f20000 profapi
[f=0000411] Error: 0x762c0000 powrprof
[f=0000411] Error: 0x76510000 FLTLIB
[f=0000411] Error: 0x75c50000 WS2_32
[f=0000411] Error: 0x10000000 DevIL
[f=0000411] Error: 0x6b800000 OpenAL32
[f=0000411] Error: 0x76950000 ole32
[f=0000411] Error: 0x70780000 vorbisfile
[f=0000411] Error: 0x62e80000 zlib1
[f=0000411] Error: 0x70e40000 libfreetype-6
[f=0000411] Error: 0x62aa0000 glew32
[f=0000411] Error: 0x65180000 libfontconfig-1
[f=0000411] Error: 0x6c740000 SDL2
[f=0000411] Error: 0x75e70000 IMM32
[f=0000411] Error: 0x76c50000 OLEAUT32
[f=0000411] Error: 0x70580000 WINMM
[f=0000411] Error: 0x68140000 ogg
[f=0000411] Error: 0x64cc0000 vorbis
[f=0000411] Error: 0x68f40000 libexpat-1
[f=0000411] Error: 0x73fe0000 VERSION
[f=0000411] Error: 0x700b0000 WINMMBASE
[f=0000411] Error: 0x54520000 MSVCP80
[f=0000411] Error: 0x54480000 MSVCR80
[f=0000411] Error: 0x6dbf0000 nvapi
[f=0000411] Error: 0x76520000 SETUPAPI
[f=0000411] Error: 0x6db50000 dxgi
[f=0000411] Error: 0x6e390000 uxtheme
[f=0000411] Error: 0x771a0000 MSCTF
[f=0000411] Error: 0x6e360000 dwmapi
[f=0000411] Error: 0x52860000 nvoglv32
[f=0000411] Error: 0x70630000 WTSAPI32
[f=0000411] Error: 0x6f330000 DEVOBJ
[f=0000411] Error: 0x76310000 WINTRUST
[f=0000411] Error: 0x76500000 MSASN1
[f=0000411] Error: 0x75fb0000 CRYPT32
[f=0000411] Error: 0x6edc0000 ntmarta
[f=0000411] Error: 0x657d0000 nvspcap
[f=0000411] Error: 0x6dac0000 WINSTA
[f=0000411] Error: 0x77410000 clbcatq
[f=0000411] Error: 0x650f0000 TextInputFramework
[f=0000411] Error: 0x64e90000 CoreUIComponents
[f=0000411] Error: 0x64e00000 CoreMessaging
[f=0000411] Error: 0x67000000 wintypes
[f=0000411] Error: 0x6fc30000 shfolder
[f=0000411] Error: 0x66fa0000 MMDevApi
[f=0000411] Error: 0x6f9f0000 PROPSYS
[f=0000411] Error: 0x527d0000 dsound
[f=0000411] Error: 0x670e0000 AUDIOSES
[f=0000411] Error: 0x719a0000 AVRT
[f=0000411] Error: 0x52790000 dinput8
[f=0000411] Error: 0x5e510000 inputhost
[f=0000411] Error: 0x71990000 HID
[f=0000411] Error: 0x59730000 XInput1_4
[f=0000411] Error: 0x6eb60000 mswsock
[f=0000411] Error: 0x6f2a0000 DNSAPI
[f=0000411] Error: 0x76c40000 NSI
[f=0000411] Error: 0x6fb90000 IPHLPAPI
[f=0000411] Error: 0x6dab0000 rasadhlp
[f=0000411] Error: 0x6ec10000 fwpuclnt
[f=0000411] Error: 0x700e0000 bcrypt
[f=0000411] Error: 0x63580000 AIInterface
[f=0000411] Error: 0x61a00000 SkirmishAI
[f=0000411] Error: 0x64a00000 dbghelp
[f=0000411] Warning: Stacktrace (main) for Spring 104.0:
[f=0000411] Warning: [ProgCtr=00bda79b StackPtr=0195b5f0 FramePtr=0195b6f8]
[f=0000411] Warning: (0) D:\spring\spring.exe [0x00BDA79B]
[f=0000411] Warning: (1) D:\spring\spring.exe [0x00BDB2D6]
[f=0000411] Warning: (2) D:\spring\spring.exe [0x00BDB4B3]
[f=0000411] Warning: (3) D:\spring\spring.exe [0x00BCE55F]
[f=0000411] Warning: (4) D:\spring\spring.exe [0x0042F2DF]
[f=0000411] Warning: (5) D:\spring\spring.exe [0x0053BFB5]
[f=0000411] Warning: (6) D:\spring\spring.exe [0x0043BA20]
[f=0000411] Warning: (7) D:\spring\spring.exe [0x00886531]
[f=0000411] Warning: (8) D:\spring\spring.exe [0x0088A53B]
[f=0000411] Warning: (9) D:\spring\spring.exe [0x0086D1D3]
[f=0000411] Warning: (10) D:\spring\spring.exe [0x00EC7B8B]
[f=0000411] Warning: (11) D:\spring\spring.exe [0x00401402]
[f=0000411] Warning: (12) C:\WINDOWS\System32\KERNEL32.DLL [0x00018494]
[f=0000411] Warning: (13) C:\WINDOWS\SYSTEM32\ntdll.dll [0x000641C8]
[f=0000411] Warning: (14) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00064198]
[f=0000411] Warning: Stacktrace (audio) for Spring 104.0:
[f=0000411] Warning: [ProgCtr=7788ac1c StackPtr=0fb9fdb4 FramePtr=0fb9fe18]
[f=0000411] Warning: (0) C:\WINDOWS\SYSTEM32\ntdll.dll [0x0006AC1C]
[f=0000411] Warning: (1) C:\WINDOWS\System32\KERNELBASE.dll [0x0010717F]
[f=0000411] Warning: (2) D:\spring\spring.exe [0x00935574]
[f=0000411] Warning: (3) D:\spring\spring.exe [0x00DBB477]
[f=0000411] Warning: (4) D:\spring\spring.exe [0x00DEE8E3]
[f=0000411] Warning: (5) C:\WINDOWS\System32\msvcrt.dll [0x00066B41]
[f=0000411] Warning: (6) C:\WINDOWS\System32\KERNEL32.DLL [0x00018494]
[f=0000411] Warning: (7) C:\WINDOWS\SYSTEM32\ntdll.dll [0x000641C8]
[f=0000411] Warning: (8) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00064198]
[f=0000411] Warning: [Watchdog] Hang detection triggered for Spring 104.0.
[f=0000411] Warning: (in threads: {main,load,audio}={1,0,0})
[f=0000411] Warning: DLL information:
[f=0000411] Error: 0x00400000 spring
[f=0000411] Error: 0x77820000 ntdll
[f=0000411] Error: 0x76150000 KERNEL32
[f=0000411] Error: 0x76a50000 KERNELBASE
[f=0000411] Error: 0x774a0000 ADVAPI32
[f=0000411] Error: 0x75590000 msvcrt
[f=0000411] Error: 0x741f0000 sechost
[f=0000411] Error: 0x76440000 RPCRT4
[f=0000411] Error: 0x740e0000 SspiCli
[f=0000411] Error: 0x740d0000 CRYPTBASE
[f=0000411] Error: 0x76cf0000 bcryptPrimitives
[f=0000411] Error: 0x74100000 IMAGEHLP
[f=0000411] Error: 0x772f0000 ucrtbase
[f=0000411] Error: 0x74240000 SHELL32
[f=0000411] Error: 0x75c10000 cfgmgr32
[f=0000411] Error: 0x54690000 GLU32
[f=0000411] Error: 0x76230000 shcore
[f=0000411] Error: 0x75ce0000 USER32
[f=0000411] Error: 0x76f40000 combase
[f=0000411] Error: 0x75f30000 win32u
[f=0000411] Error: 0x77530000 GDI32
[f=0000411] Error: 0x75650000 windows.storage
[f=0000411] Error: 0x545b0000 OPENGL32
[f=0000411] Error: 0x77560000 gdi32full
[f=0000411] Error: 0x741a0000 shlwapi
[f=0000411] Error: 0x74120000 msvcp_win
[f=0000411] Error: 0x77520000 kernel.appcore
[f=0000411] Error: 0x76f20000 profapi
[f=0000411] Error: 0x762c0000 powrprof
[f=0000411] Error: 0x76510000 FLTLIB
[f=0000411] Error: 0x75c50000 WS2_32
[f=0000411] Error: 0x10000000 DevIL
[f=0000411] Error: 0x6b800000 OpenAL32
[f=0000411] Error: 0x76950000 ole32
[f=0000411] Error: 0x70780000 vorbisfile
[f=0000411] Error: 0x62e80000 zlib1
[f=0000411] Error: 0x70e40000 libfreetype-6
[f=0000411] Error: 0x62aa0000 glew32
[f=0000411] Error: 0x65180000 libfontconfig-1
[f=0000411] Error: 0x6c740000 SDL2
[f=0000411] Error: 0x75e70000 IMM32
[f=0000411] Error: 0x76c50000 OLEAUT32
[f=0000411] Error: 0x70580000 WINMM
[f=0000411] Error: 0x68140000 ogg
[f=0000411] Error: 0x64cc0000 vorbis
[f=0000411] Error: 0x68f40000 libexpat-1
[f=0000411] Error: 0x73fe0000 VERSION
[f=0000411] Error: 0x700b0000 WINMMBASE
[f=0000411] Error: 0x54520000 MSVCP80
[f=0000411] Error: 0x54480000 MSVCR80
[f=0000411] Error: 0x6dbf0000 nvapi
[f=0000411] Error: 0x76520000 SETUPAPI
[f=0000411] Error: 0x6db50000 dxgi
[f=0000411] Error: 0x6e390000 uxtheme
[f=0000411] Error: 0x771a0000 MSCTF
[f=0000411] Error: 0x6e360000 dwmapi
[f=0000411] Error: 0x52860000 nvoglv32
[f=0000411] Error: 0x70630000 WTSAPI32
[f=0000411] Error: 0x6f330000 DEVOBJ
[f=0000411] Error: 0x76310000 WINTRUST
[f=0000411] Error: 0x76500000 MSASN1
[f=0000411] Error: 0x75fb0000 CRYPT32
[f=0000411] Error: 0x6edc0000 ntmarta
[f=0000411] Error: 0x657d0000 nvspcap
[f=0000411] Error: 0x6dac0000 WINSTA
[f=0000411] Error: 0x77410000 clbcatq
[f=0000411] Error: 0x650f0000 TextInputFramework
[f=0000411] Error: 0x64e90000 CoreUIComponents
[f=0000411] Error: 0x64e00000 CoreMessaging
[f=0000411] Error: 0x67000000 wintypes
[f=0000411] Error: 0x6fc30000 shfolder
[f=0000411] Error: 0x66fa0000 MMDevApi
[f=0000411] Error: 0x6f9f0000 PROPSYS
[f=0000411] Error: 0x527d0000 dsound
[f=0000411] Error: 0x670e0000 AUDIOSES
[f=0000411] Error: 0x719a0000 AVRT
[f=0000411] Error: 0x52790000 dinput8
[f=0000411] Error: 0x5e510000 inputhost
[f=0000411] Error: 0x71990000 HID
[f=0000411] Error: 0x59730000 XInput1_4
[f=0000411] Error: 0x6eb60000 mswsock
[f=0000411] Error: 0x6f2a0000 DNSAPI
[f=0000411] Error: 0x76c40000 NSI
[f=0000411] Error: 0x6fb90000 IPHLPAPI
[f=0000411] Error: 0x6dab0000 rasadhlp
[f=0000411] Error: 0x6ec10000 fwpuclnt
[f=0000411] Error: 0x700e0000 bcrypt
[f=0000411] Error: 0x63580000 AIInterface
[f=0000411] Error: 0x61a00000 SkirmishAI
[f=0000411] Error: 0x64a00000 dbghelp
[f=0000411] Warning: Stacktrace (main) for Spring 104.0:
[f=0000411] Warning: [ProgCtr=00bda7ae StackPtr=0195b5f0 FramePtr=0195b6f8]
[f=0000411] Warning: (0) D:\spring\spring.exe [0x00BDA7AE]
[f=0000411] Warning: (1) D:\spring\spring.exe [0x00BDB2D6]
[f=0000411] Warning: (2) D:\spring\spring.exe [0x00BDB4B3]
[f=0000411] Warning: (3) D:\spring\spring.exe [0x00BCE55F]
[f=0000411] Warning: (4) D:\spring\spring.exe [0x0042F2DF]
[f=0000411] Warning: (5) D:\spring\spring.exe [0x0053BFB5]
[f=0000411] Warning: (6) D:\spring\spring.exe [0x0043BA20]
[f=0000411] Warning: (7) D:\spring\spring.exe [0x00886531]
[f=0000411] Warning: (8) D:\spring\spring.exe [0x0088A53B]
[f=0000411] Warning: (9) D:\spring\spring.exe [0x0086D1D3]
[f=0000411] Warning: (10) D:\spring\spring.exe [0x00EC7B8B]
[f=0000411] Warning: (11) D:\spring\spring.exe [0x00401402]
[f=0000411] Warning: (12) C:\WINDOWS\System32\KERNEL32.DLL [0x00018494]
[f=0000411] Warning: (13) C:\WINDOWS\SYSTEM32\ntdll.dll [0x000641C8]
[f=0000411] Warning: (14) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00064198]
[f=0000411] Warning: Stacktrace (audio) for Spring 104.0:
[f=0000411] Warning: [ProgCtr=7788ac1c StackPtr=0fb9fdb4 FramePtr=0fb9fe18]
[f=0000411] Warning: (0) C:\WINDOWS\SYSTEM32\ntdll.dll [0x0006AC1C]
[f=0000411] Warning: (1) C:\WINDOWS\System32\KERNELBASE.dll [0x0010717F]
[f=0000411] Warning: (2) D:\spring\spring.exe [0x00935574]
[f=0000411] Warning: (3) D:\spring\spring.exe [0x00DBB477]
[f=0000411] Warning: (4) D:\spring\spring.exe [0x00DEE8E3]
[f=0000411] Warning: (5) C:\WINDOWS\System32\msvcrt.dll [0x00066B41]
[f=0000411] Warning: (6) C:\WINDOWS\System32\KERNEL32.DLL [0x00018494]
[f=0000411] Warning: (7) C:\WINDOWS\SYSTEM32\ntdll.dll [0x000641C8]
[f=0000411] Warning: (8) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00064198]
[f=0000411] Warning: [Watchdog] Hang detection triggered for Spring 104.0.
[f=0000411] Warning: (in threads: {main,load,audio}={1,0,0})
[f=0000411] Warning: DLL information:
[f=0000411] Error: 0x00400000 spring
[f=0000411] Error: 0x77820000 ntdll
[f=0000411] Error: 0x76150000 KERNEL32
[f=0000411] Error: 0x76a50000 KERNELBASE
[f=0000411] Error: 0x774a0000 ADVAPI32
[f=0000411] Error: 0x75590000 msvcrt
[f=0000411] Error: 0x741f0000 sechost
[f=0000411] Error: 0x76440000 RPCRT4
[f=0000411] Error: 0x740e0000 SspiCli
[f=0000411] Error: 0x740d0000 CRYPTBASE
[f=0000411] Error: 0x76cf0000 bcryptPrimitives
[f=0000411] Error: 0x74100000 IMAGEHLP
[f=0000411] Error: 0x772f0000 ucrtbase
[f=0000411] Error: 0x74240000 SHELL32
[f=0000411] Error: 0x75c10000 cfgmgr32
[f=0000411] Error: 0x54690000 GLU32
[f=0000411] Error: 0x76230000 shcore
[f=0000411] Error: 0x75ce0000 USER32
[f=0000411] Error: 0x76f40000 combase
[f=0000411] Error: 0x75f30000 win32u
[f=0000411] Error: 0x77530000 GDI32
[f=0000411] Error: 0x75650000 windows.storage
[f=0000411] Error: 0x545b0000 OPENGL32
[f=0000411] Error: 0x77560000 gdi32full
[f=0000411] Error: 0x741a0000 shlwapi
[f=0000411] Error: 0x74120000 msvcp_win
[f=0000411] Error: 0x77520000 kernel.appcore
[f=0000411] Error: 0x76f20000 profapi
[f=0000411] Error: 0x762c0000 powrprof
[f=0000411] Error: 0x76510000 FLTLIB
[f=0000411] Error: 0x75c50000 WS2_32
[f=0000411] Error: 0x10000000 DevIL
[f=0000411] Error: 0x6b800000 OpenAL32
[f=0000411] Error: 0x76950000 ole32
[f=0000411] Error: 0x70780000 vorbisfile
[f=0000411] Error: 0x62e80000 zlib1
[f=0000411] Error: 0x70e40000 libfreetype-6
[f=0000411] Error: 0x62aa0000 glew32
[f=0000411] Error: 0x65180000 libfontconfig-1
[f=0000411] Error: 0x6c740000 SDL2
[f=0000411] Error: 0x75e70000 IMM32
[f=0000411] Error: 0x76c50000 OLEAUT32
[f=0000411] Error: 0x70580000 WINMM
[f=0000411] Error: 0x68140000 ogg
[f=0000411] Error: 0x64cc0000 vorbis
[f=0000411] Error: 0x68f40000 libexpat-1
[f=0000411] Error: 0x73fe0000 VERSION
[f=0000411] Error: 0x700b0000 WINMMBASE
[f=0000411] Error: 0x54520000 MSVCP80
[f=0000411] Error: 0x54480000 MSVCR80
[f=0000411] Error: 0x6dbf0000 nvapi
[f=0000411] Error: 0x76520000 SETUPAPI
[f=0000411] Error: 0x6db50000 dxgi
[f=0000411] Error: 0x6e390000 uxtheme
[f=0000411] Error: 0x771a0000 MSCTF
[f=0000411] Error: 0x6e360000 dwmapi
[f=0000411] Error: 0x52860000 nvoglv32
[f=0000411] Error: 0x70630000 WTSAPI32
[f=0000411] Error: 0x6f330000 DEVOBJ
[f=0000411] Error: 0x76310000 WINTRUST
[f=0000411] Error: 0x76500000 MSASN1
[f=0000411] Error: 0x75fb0000 CRYPT32
[f=0000411] Error: 0x6edc0000 ntmarta
[f=0000411] Error: 0x657d0000 nvspcap
[f=0000411] Error: 0x6dac0000 WINSTA
[f=0000411] Error: 0x77410000 clbcatq
[f=0000411] Error: 0x650f0000 TextInputFramework
[f=0000411] Error: 0x64e90000 CoreUIComponents
[f=0000411] Error: 0x64e00000 CoreMessaging
[f=0000411] Error: 0x67000000 wintypes
[f=0000411] Error: 0x6fc30000 shfolder
[f=0000411] Error: 0x66fa0000 MMDevApi
[f=0000411] Error: 0x6f9f0000 PROPSYS
[f=0000411] Error: 0x527d0000 dsound
[f=0000411] Error: 0x670e0000 AUDIOSES
[f=0000411] Error: 0x719a0000 AVRT
[f=0000411] Error: 0x52790000 dinput8
[f=0000411] Error: 0x5e510000 inputhost
[f=0000411] Error: 0x71990000 HID
[f=0000411] Error: 0x59730000 XInput1_4
[f=0000411] Error: 0x6eb60000 mswsock
[f=0000411] Error: 0x6f2a0000 DNSAPI
[f=0000411] Error: 0x76c40000 NSI
[f=0000411] Error: 0x6fb90000 IPHLPAPI
[f=0000411] Error: 0x6dab0000 rasadhlp
[f=0000411] Error: 0x6ec10000 fwpuclnt
[f=0000411] Error: 0x700e0000 bcrypt
[f=0000411] Error: 0x63580000 AIInterface
[f=0000411] Error: 0x61a00000 SkirmishAI
[f=0000411] Error: 0x64a00000 dbghelp
[f=0000411] Warning: Stacktrace (main) for Spring 104.0:
[f=0000411] Warning: [ProgCtr=00bda7ae StackPtr=0195b5f0 FramePtr=0195b6f8]
[f=0000411] Warning: (0) D:\spring\spring.exe [0x00BDA7AE]
[f=0000411] Warning: (1) D:\spring\spring.exe [0x00BDB2D6]
[f=0000411] Warning: (2) D:\spring\spring.exe [0x00BDB4B3]
[f=0000411] Warning: (3) D:\spring\spring.exe [0x00BCE55F]
[f=0000411] Warning: (4) D:\spring\spring.exe [0x0042F2DF]
[f=0000411] Warning: (5) D:\spring\spring.exe [0x0053BFB5]
[f=0000411] Warning: (6) D:\spring\spring.exe [0x0043BA20]
[f=0000411] Warning: (7) D:\spring\spring.exe [0x00886531]
[f=0000411] Warning: (8) D:\spring\spring.exe [0x0088A53B]
[f=0000411] Warning: (9) D:\spring\spring.exe [0x0086D1D3]
[f=0000411] Warning: (10) D:\spring\spring.exe [0x00EC7B8B]
[f=0000411] Warning: (11) D:\spring\spring.exe [0x00401402]
[f=0000411] Warning: (12) C:\WINDOWS\System32\KERNEL32.DLL [0x00018494]
[f=0000411] Warning: (13) C:\WINDOWS\SYSTEM32\ntdll.dll [0x000641C8]
[f=0000411] Warning: (14) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00064198]
[f=0000411] Warning: Stacktrace (audio) for Spring 104.0:
[f=0000411] Warning: [ProgCtr=7788ac1c StackPtr=0fb9fdb4 FramePtr=0fb9fe18]
[f=0000411] Warning: (0) C:\WINDOWS\SYSTEM32\ntdll.dll [0x0006AC1C]
[f=0000411] Warning: (1) C:\WINDOWS\System32\KERNELBASE.dll [0x0010717F]
[f=0000411] Warning: (2) D:\spring\spring.exe [0x00935574]
[f=0000411] Warning: (3) D:\spring\spring.exe [0x00DBB477]
[f=0000411] Warning: (4) D:\spring\spring.exe [0x00DEE8E3]
[f=0000411] Warning: (5) C:\WINDOWS\System32\msvcrt.dll [0x00066B41]
[f=0000411] Warning: (6) C:\WINDOWS\System32\KERNEL32.DLL [0x00018494]
[f=0000411] Warning: (7) C:\WINDOWS\SYSTEM32\ntdll.dll [0x000641C8]
[f=0000411] Warning: (8) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00064198]
[f=0000411] Warning: [Watchdog] Hang detection triggered for Spring 104.0.
[f=0000411] Warning: (in threads: {main,load,audio}={1,0,0})
[f=0000411] Warning: DLL information:
[f=0000411] Error: 0x00400000 spring
[f=0000411] Error: 0x77820000 ntdll
[f=0000411] Error: 0x76150000 KERNEL32
[f=0000411] Error: 0x76a50000 KERNELBASE
[f=0000411] Error: 0x774a0000 ADVAPI32
[f=0000411] Error: 0x75590000 msvcrt
[f=0000411] Error: 0x741f0000 sechost
[f=0000411] Error: 0x76440000 RPCRT4
[f=0000411] Error: 0x740e0000 SspiCli
[f=0000411] Error: 0x740d0000 CRYPTBASE
[f=0000411] Error: 0x76cf0000 bcryptPrimitives
[f=0000411] Error: 0x74100000 IMAGEHLP
[f=0000411] Error: 0x772f0000 ucrtbase
[f=0000411] Error: 0x74240000 SHELL32
[f=0000411] Error: 0x75c10000 cfgmgr32
[f=0000411] Error: 0x54690000 GLU32
[f=0000411] Error: 0x76230000 shcore
[f=0000411] Error: 0x75ce0000 USER32
[f=0000411] Error: 0x76f40000 combase
[f=0000411] Error: 0x75f30000 win32u
[f=0000411] Error: 0x77530000 GDI32
[f=0000411] Error: 0x75650000 windows.storage
[f=0000411] Error: 0x545b0000 OPENGL32
[f=0000411] Error: 0x77560000 gdi32full
[f=0000411] Error: 0x741a0000 shlwapi
[f=0000411] Error: 0x74120000 msvcp_win
[f=0000411] Error: 0x77520000 kernel.appcore
[f=0000411] Error: 0x76f20000 profapi
[f=0000411] Error: 0x762c0000 powrprof
[f=0000411] Error: 0x76510000 FLTLIB
[f=0000411] Error: 0x75c50000 WS2_32
[f=0000411] Error: 0x10000000 DevIL
[f=0000411] Error: 0x6b800000 OpenAL32
[f=0000411] Error: 0x76950000 ole32
[f=0000411] Error: 0x70780000 vorbisfile
[f=0000411] Error: 0x62e80000 zlib1
[f=0000411] Error: 0x70e40000 libfreetype-6
[f=0000411] Error: 0x62aa0000 glew32
[f=0000411] Error: 0x65180000 libfontconfig-1
[f=0000411] Error: 0x6c740000 SDL2
[f=0000411] Error: 0x75e70000 IMM32
[f=0000411] Error: 0x76c50000 OLEAUT32
[f=0000411] Error: 0x70580000 WINMM
[f=0000411] Error: 0x68140000 ogg
[f=0000411] Error: 0x64cc0000 vorbis
[f=0000411] Error: 0x68f40000 libexpat-1
[f=0000411] Error: 0x73fe0000 VERSION
[f=0000411] Error: 0x700b0000 WINMMBASE
[f=0000411] Error: 0x54520000 MSVCP80
[f=0000411] Error: 0x54480000 MSVCR80
[f=0000411] Error: 0x6dbf0000 nvapi
[f=0000411] Error: 0x76520000 SETUPAPI
[f=0000411] Error: 0x6db50000 dxgi
[f=0000411] Error: 0x6e390000 uxtheme
[f=0000411] Error: 0x771a0000 MSCTF
[f=0000411] Error: 0x6e360000 dwmapi
[f=0000411] Error: 0x52860000 nvoglv32
[f=0000411] Error: 0x70630000 WTSAPI32
[f=0000411] Error: 0x6f330000 DEVOBJ
[f=0000411] Error: 0x76310000 WINTRUST
[f=0000411] Error: 0x76500000 MSASN1
[f=0000411] Error: 0x75fb0000 CRYPT32
[f=0000411] Error: 0x6edc0000 ntmarta
[f=0000411] Error: 0x657d0000 nvspcap
[f=0000411] Error: 0x6dac0000 WINSTA
[f=0000411] Error: 0x77410000 clbcatq
[f=0000411] Error: 0x650f0000 TextInputFramework
[f=0000411] Error: 0x64e90000 CoreUIComponents
[f=0000411] Error: 0x64e00000 CoreMessaging
[f=0000411] Error: 0x67000000 wintypes
[f=0000411] Error: 0x6fc30000 shfolder
[f=0000411] Error: 0x66fa0000 MMDevApi
[f=0000411] Error: 0x6f9f0000 PROPSYS
[f=0000411] Error: 0x527d0000 dsound
[f=0000411] Error: 0x670e0000 AUDIOSES
[f=0000411] Error: 0x719a0000 AVRT
[f=0000411] Error: 0x52790000 dinput8
[f=0000411] Error: 0x5e510000 inputhost
[f=0000411] Error: 0x71990000 HID
[f=0000411] Error: 0x59730000 XInput1_4
[f=0000411] Error: 0x6eb60000 mswsock
[f=0000411] Error: 0x6f2a0000 DNSAPI
[f=0000411] Error: 0x76c40000 NSI
[f=0000411] Error: 0x6fb90000 IPHLPAPI
[f=0000411] Error: 0x6dab0000 rasadhlp
[f=0000411] Error: 0x6ec10000 fwpuclnt
[f=0000411] Error: 0x700e0000 bcrypt
[f=0000411] Error: 0x63580000 AIInterface
[f=0000411] Error: 0x61a00000 SkirmishAI
[f=0000411] Error: 0x64a00000 dbghelp
[f=0000411] Warning: Stacktrace (main) for Spring 104.0:
[f=0000411] Warning: [ProgCtr=00bda78f StackPtr=0195b5f0 FramePtr=0195b6f8]
[f=0000411] Warning: (0) D:\spring\spring.exe [0x00BDA78F]
[f=0000411] Warning: (1) D:\spring\spring.exe [0x00BDB2D6]
[f=0000411] Warning: (2) D:\spring\spring.exe [0x00BDB4B3]
[f=0000411] Warning: (3) D:\spring\spring.exe [0x00BCE55F]
[f=0000411] Warning: (4) D:\spring\spring.exe [0x0042F2DF]
[f=0000411] Warning: (5) D:\spring\spring.exe [0x0053BFB5]
[f=0000411] Warning: (6) D:\spring\spring.exe [0x0043BA20]
[f=0000411] Warning: (7) D:\spring\spring.exe [0x00886531]
[f=0000411] Warning: (8) D:\spring\spring.exe [0x0088A53B]
[f=0000411] Warning: (9) D:\spring\spring.exe [0x0086D1D3]
[f=0000411] Warning: (10) D:\spring\spring.exe [0x00EC7B8B]
[f=0000411] Warning: (11) D:\spring\spring.exe [0x00401402]
[f=0000411] Warning: (12) C:\WINDOWS\System32\KERNEL32.DLL [0x00018494]
[f=0000411] Warning: (13) C:\WINDOWS\SYSTEM32\ntdll.dll [0x000641C8]
[f=0000411] Warning: (14) C:\WINDOWS\SYSTEM32\ntdll.dll [0x00064198]
[f=0000411] Warning: Stacktrace (audio) for Spring 104.0:
[f=0000411] Warning: [ProgCtr=7788ac1c StackPtr=0fb9fdb4 FramePtr=0fb9fe18]
[f=0000411] Warning: (0) C:\WINDOWS\SYSTEM32\ntdll.dll [0x0006AC1C]
[f=0000411] Warning: (1) C:\WINDOWS\System32\KERNELBASE.dll [0x0010717F]
[f=0000411] Warning: (2) D:\spring\spring.exe [0x00935574]
[f=0000411] Warning: (3) D:\spring\spring.exe [0x00DBB477]
[f=0000411] Warning: (4) D:\spring\spring.exe [0x00DEE8E3]
[f=0000411] Warning: (5) C:\WINDOWS\System32\msvcrt.dll [0x00066B41]
[f=0000411] Warning: (6) C:\WINDOWS\System32\KERNEL32.DLL [0x00018494]
[f=0000411] Warning: (7) C:\WINDOWS\SYSTEM32\ntdll.dll [0x000641C8]
[
Tagsfactory, Transport, Transport behavior
Checked infolog.txt for lua ErrorsYes
Attached Files

-Relationships
+Relationships

-Notes

~0019969

Kloot (developer)

Function transformUnitInto in lib_UnitScript.lua passes a *random* facing value to Spring.CreateUnit, but it should instead use Spring.GetUnitBuildFacing to copy the facing from oldID. Unless you change this the Spring.SetUnitRotation call (also in transformUnitInto) will cause a mismatch between rotation and facing two times out of four, which can hang the engine.

~0019970

PicassoCT (reporter)

Thanks for the feedback.
I did as suggested, and this actually fixes some bugs in journeywar. But this lua function is not used in mosaic.

But the reported bug still remains active.
I have even more curious anecdata.. when the assembly is not transported by the house - it can build the transport-trucks just fine.
So it somehow seems to be connected to deepness of transportation.

Still thanks for the free bugfix. :D

~0019973

Kloot (developer)

Last edited: 2019-05-04 14:21

View 2 revisions

Probably because transporting also changes rotation.

You should test your game with maintenance 1234-gbcf30f0, the underlying engine bug has been fixed. Vanilla 104 is not a good baseline anymore.

~0019974

PicassoCT (reporter)

Installed newest spring version.
Game doesent load- seems something in lups doesent work:

[f=-000001] Error: [LuaRules::RunCallInTraceback] error=2 (LUA_ERRRUN) callin=LoadCode trace=[Internal Lua error: Call failure] [LuaVFS::Include(synced=0)][pcall] file=LuaRules/gadgets.lua error=2 ([string "LuaRules/Gadgets/lups_manager.lua"]:320: attempt to call field 'CreateList' (a nil value)) ptop=3 cenv=0
stack traceback:
    [C]: in function 'Include'
    [string "LuaRules/draw.lua"]:38: in main chunk
[f=-000001] [LuaMemPool::LogStats][handle=LuaRules (unsynced)] index=18446744073709551615 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={337302,0,0} {chunk,block}Bytes={0,0}
[f=-000001] [LuaMemPool::LogStats][handle=LuaRules (synced)] index=18446744073709551615 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={337302,0,0} {chunk,block}Bytes={0,0}


Whole Infolog:


[DataDirLocater::FindWriteableDataDir] using writeable data-directory "C:\Users\PicassoCT\Documents\My Games\Spring\"
Using writeable configuration source: "C:\Users\PicassoCT\Documents\My Games\Spring\springsettings.cfg"
LogOutput initialized. Logging to C:\Users\PicassoCT\Documents\My Games\Spring\infolog.txt
============== <Log Sections> ==============
  Available:
    ArchiveScanner
    AutohostInterface
    BumpWater
    CSMFGroundTextures
    CregSerializer
    DecalsDrawerGL4
    FarTextureHandler
    Font
    GameServer
    GroundMoveType
    KeyBindings
    LuaSocket
    Model
    Net
    Path
    Piece
    RoamMeshDrawer
    Shader
    SkyBox
    Sound
    Texture
    VFS
  Enabled:
    Sound (Notice)
  
  Enable or disable log sections using the LogSections configuration key
  or the SPRING_LOG_SECTIONS environment variable (both comma separated).
  Use "none" to disable the default log sections.
============== </Log Sections> ==============

============== <User Config> ==============
============== </User Config> ==============

============== <User System> ==============
  Spring Engine Version: 104.0.1-1766-gc2a221b develop
      Build Environment: gcc libstdc++ version 20171010
       Compiler Version: gcc-5.5.0
       Operating System: Windows 10 April 2018 Update (build 17134)
        Hardware Config: Intel(R) Core(TM) i5-7500 CPU @ 3.40GHz; 16329MB RAM, 18761MB pagefile
       Binary Word Size: 64-bit (native)
          Process Clock: std::chrono::high_resolution_clock
     Physical CPU Cores: 4
      Logical CPU Cores: 4
============== </User System> ==============

[good_fpu_init][STREFLOP_SSE]
    SSE 1.0 : 1, SSE 2.0 : 1
    SSE 3.0 : 1, SSSE 3.0 : 1
    SSE 4.1 : 1, SSE 4.2 : 1
    SSE 4.0A: 0, SSE 5.0A: 0
[WatchDog::Install] installed (hang-timeout: 10s)
[WatchDog::RegisterThread] registering controls for thread [main]
[GL::CheckAvailableVideoModes] desktop={1920x1080x24bpp@60Hz} current={1920x1080x24bpp@60Hz}
    display=1 modes=49 bounds={x=0, y=0, w=1920, h=1080}
        [ 1] 1920x1080x24bpp@60Hz
        [10] 1680x1050x24bpp@60Hz
        [13] 1600x1024x24bpp@60Hz
        [15] 1600x900x24bpp@60Hz
        [17] 1440x900x24bpp@75Hz
        [26] 1280x800x24bpp@75Hz
        [29] 1280x720x24bpp@60Hz
    display=2 modes=57 bounds={x=-1080, y=2, w=1080, h=1920}
[GR::CreateSDLWindow] using 0x anti-aliasing and 24-bit depth-buffer (PF="SDL_PIXELFORMAT_RGB888") for main window
[GR::CreateSDLWindow] using 0x anti-aliasing and 24-bit depth-buffer (PF="SDL_PIXELFORMAT_RGB888") for hidden window
[GR::LogVersionInfo]
    SDL version : 2.0.8 (linked) / 2.0.8 (compiled)
    GL version : 4.1.0 NVIDIA 388.13
    GL vendor : NVIDIA Corporation
    GL renderer : GeForce GTX 1050 Ti/PCIe/SSE2
    GLSL version: 4.10 NVIDIA via Cg compiler
    GLEW version: 2.1.0
    GPU memory : 4096MB (total) / 1773MB (available)
    SDL swap-int: 1
    
[GR::LogGLSupportInfo]
    NVX GPU mem-info support : 1
    ATI GPU mem-info support : 0
    NPOT-texture support : 1 (1)
    texture query-LOD support : 1 (1)
    24-bit Z-buffer support : 1 (-)
    primitive-restart support : 1 (1)
    clip-space control support: 0 (1)
    seamless cube-map support : 1 (1)
    frag-depth layout support : 0 (-)
    
    max. FBO samples : 32
    max. texture size : 32768
    max. texture anisotropy level: 16.000000
    max. vec4 varyings/attributes: 31/16
    max. draw-buffers : 8
    max. rec. indices/vertices : 1048576/1048576
    max. uniform buffer-bindings : 84
    max. uniform block-size : 64KB
    
    enable ATI-hacks : 0
    compress MIP-maps: 0
    
[GR::ToggleGLDebugOutput] OpenGL debug-context not installed (dbgErrors=0 dbgTraces=0)
[GR::UpdateGLConfigs]
[VSync::SetInterval] interval=0 (disabled)
[GR::UpdateGLGeometry][1] winSize=<1,1>
[GR::UpdateGLGeometry][2] winSize=<1920,1080>
[GR::InitGLState] glAttribStatePtr=0000000000000000
[GR::LogDisplayMode] display-mode set to 1920x1080x24bpp@60Hz (fullscreen::decorated)
[TexMemPool::Resize] poolSize=268435456u allocSize=0u texCount=0u
[~ScopedOnceTimer][FtLibraryHandler::FontConfigInit (version 2.11.1)] 4ms
[WatchDog::RegisterThread] registering controls for thread [vfsi]
[DataDirLocater::FindWriteableDataDir] using writeable data-directory "C:\Users\PicassoCT\Documents\My Games\Spring\"
[DataDirLocater::FilterUsableDataDirs] using read-write data directory: C:\Users\PicassoCT\Documents\My Games\Spring\
[DataDirLocater::FilterUsableDataDirs] using read-only data directory: D:\spring\
[AS::ReadCacheData] ArchiveCache cache\104dev-develop\ArchiveCache15.lua doesn't exist
Scanning: D:\spring\base
Scanning: D:\spring\maps
Scanning: D:\spring\games
Warning: [AS::ScanArchive] set the 'mapfile' key in mapinfo.lua of archive "D:\spring\maps\terra_2.sd7" for faster loading!
Warning: [AS::ScanArchive] set the 'mapfile' key in mapinfo.lua of archive "D:\spring\maps\eye_of_horus_v13.sd7" for faster loading!
Warning: [AS::ScanArchive] set the 'mapfile' key in mapinfo.lua of archive "D:\spring\maps\Caeserea.sdd" for faster loading!
Warning: [AS::ScanArchive] set the 'mapfile' key in mapinfo.lua of archive "D:\spring\maps\aetherian_void_1.5.sd7" for faster loading!
[~ScopedOnceTimer][CArchiveScanner::ScanAllDirs] 345ms
[WatchDog::DeregisterThread] deregistering controls for thread [vfsi]
[ThreadPool::SetThreadCount][1] wanted=3 current=1 maximum=4 (init=1)
[ThreadPool::SetThreadCount][2] workers=2
[Threading] Main thread CPU affinity mask set: 12
[f=-000001] [~CBufferedArchive][name=D:\spring\base\springcontent.sdz] 930 bytes cached in 2 files
[f=-000001] [~ScopedOnceTimer][ISound::Init::New] 0ms
[f=-000001] [Sound] [ISound::Initialize] spawning sound-thread (1.0ms)
[f=-000001] [Sound] [Sound::UpdateThread][1] cfgMaxSounds=128
[f=-000001] [WatchDog::RegisterThread] registering controls for thread [audio]
[f=-000001] [Sound] [Sound::InitThread][1]
[f=-000001] [Sound] [Sound::OpenLoopbackDevice] opening default device
[f=-000001] [Sound] [ISound::Initialize] spawning sound-thread (101.3ms)
[f=-000001] [Sound] [Sound::OpenLoopbackDevice] unhandled SDL channel count: 6
[f=-000001] [Sound] [Sound::Cleanup][SDL_CloseAudioDevice(2)]
[f=-000001] [Sound] [ISound::Initialize] spawning sound-thread (201.7ms)
[f=-000001] [Sound] [Sound::OpenOpenALDevice] opening default device "OpenAL Soft"
[f=-000001] [Sound] [ISound::Initialize] spawning sound-thread (301.8ms)
[f=-000001] [Sound] [Sound::OpenOpenALDevice] device=000000006cde10a0 context=000000004609edd0
[f=-000001] [Sound] [Sound::InitThread][4][OpenAL API Info]
[f=-000001] [Sound] Vendor: OpenAL Community
[f=-000001] [Sound] Version: 1.1 ALSOFT 1.16.0
[f=-000001] [Sound] Renderer: OpenAL Soft
[f=-000001] [Sound] AL Extensions: AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_block_alignment AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFT_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_MSADPCM AL_SOFT_source_latency AL_SOFT_source_length
[f=-000001] [Sound] ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFTX_device_clock ALC_SOFTX_HRTF ALC_SOFT_loopback ALC_SOFTX_midi_interface ALC_SOFT_pause_device
[f=-000001] [Sound] Devices:
[f=-000001] [Sound] [Lautsprecher (Realtek High Definition Audio)]
[f=-000001] [Sound] [Realtek Digital Output (Realtek High Definition Audio)]
[f=-000001] [Sound] [DELL U2414H-0 (NVIDIA High Definition Audio)]
[f=-000001] [Sound] [MD20147-8 (NVIDIA High Definition Audio)]
[f=-000001] [Sound] [Lautsprecher (Realtek High Definition Audio)]
[f=-000001] [Sound] [Sound::GetMaxMonoSources] #attribs=15
[f=-000001] [Sound] [Sound::GetMaxMonoSources] {cfg,alc}MaxSounds={128,255}
[f=-000001] [Sound] EFX Enabled: yes
[f=-000001] [Sound] [Sound::UpdateThread][2]
[f=-000001] [~ScopedOnceTimer][ISound::Init::Dev] 402ms
[f=-000001]
[f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][1] fullScreen=1
[f=-000001] [~ScopedOnceTimer][Sound::Iconified] 0ms
[f=-000001] [~ScopedOnceTimer][FBO::GLContextReinit] 0ms
[f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][2]

[f=-000001]
[f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SIZE_CHANGED][1] fullScreen=1
[f=-000001] [GR::UpdateGLConfigs]
[f=-000001] [GR::UpdateGLGeometry][1] winSize=<1920,1080>
[f=-000001] [GR::UpdateGLGeometry][2] winSize=<1920,1080>
[f=-000001] [GR::InitGLState] glAttribStatePtr=0000000001a1b994
[f=-000001] [GR::LogDisplayMode] display-mode set to 1920x1080x24bpp@60Hz (fullscreen::decorated)
[f=-000001] [~ScopedOnceTimer][GlobalRendering::UpdateGL] 0ms
[f=-000001] [~ScopedOnceTimer][ActiveController::ResizeEvent] 0ms
[f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SIZE_CHANGED][2]

[f=-000001]
[f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][1] fullScreen=1
[f=-000001] [~ScopedOnceTimer][Sound::Iconified] 0ms
[f=-000001] [~ScopedOnceTimer][FBO::GLContextReinit] 0ms
[f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][2]

[f=-000001]
[f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][1] fullScreen=1
[f=-000001] [~ScopedOnceTimer][Sound::Iconified] 0ms
[f=-000001] [~ScopedOnceTimer][FBO::GLContextReinit] 0ms
[f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][2]

[f=-000001]
[f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][1] fullScreen=1
[f=-000001] [~ScopedOnceTimer][Sound::Iconified] 0ms
[f=-000001] [~ScopedOnceTimer][FBO::GLContextReinit] 0ms
[f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][2]

[f=-000001] [CPreGame] server using IP localhost and port 8452
[f=-000001] [NetProto::InitLocalClient] connecting to local server
[f=-000001] [PreGame::AddGameSetupArchivesToVFS] using map: Tabula-v4
[f=-000001] [~CBufferedArchive][name=D:\spring\base\maphelper.sdz] 34584 bytes cached in 9 files
[f=-000001] [~CBufferedArchive][name=D:\spring\base\springcontent.sdz] 523928 bytes cached in 182 files
[f=-000001] [~CBufferedArchive][name=D:\spring\base\spring\bitmaps.sdz] 5947433 bytes cached in 131 files
[f=-000001] [~CBufferedArchive][name=D:\spring\base\cursors.sdz] 523006 bytes cached in 112 files
[f=-000001] [PreGame::StartServer]
    mod-checksum=4d4fce441ce1828681c1ce50046d81e5d87520593e420de989acbe26a9f4f5595f8a01b37d74c076bb034d863b79442e9c8aed4c097e23cb80362d1a80dfa894
    map-checksum=6db03f4ed54ec3acb564cf0ec2168d255f42b2d7435449997ffababdad598fd6c9ebaaa4aa7f1a80844f9cb7ab7d3ec4ea49a1797d1c2e8f20fbec8bb3cbfef6
[f=-000001] Warning: [UDPListener::TryBindSocket] opening socket on loopback address, other users will not be able to connect!
[f=-000001] [UDPListener::TryBindSocket] binding UDP socket to IPv6-address ::1 (localhost) on port 8452
[f=-000001] [UDPListener] successfully bound socket on port 8452
[f=-000001] [~ScopedOnceTimer][PreGame::StartServer] 17846ms
[f=-000001]
[f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][1] fullScreen=1
[f=-000001] [~ScopedOnceTimer][Sound::Iconified] 0ms
[f=-000001] [~ScopedOnceTimer][FBO::GLContextReinit] 0ms
[f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][2]

[f=-000001]
[f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][1] fullScreen=1
[f=-000001] [~ScopedOnceTimer][Sound::Iconified] 0ms
[f=-000001] [~ScopedOnceTimer][FBO::GLContextReinit] 0ms
[f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][2]

[f=-000001] [PreGame::AddGameSetupArchivesToVFS] using map: Tabula-v4
[f=-000001] [PreGame::AddGameSetupArchivesToVFS] using game: MOSAIC $VERSION (archive: Mosaic.sdd)
[f=-000001] PreGame::GameDataReceived] recording demo to "C:\Users\PicassoCT\Documents\My Games\Spring\demos\20190504_212050_Tabula-v4_104.0.1-1766-gc2a221b develop.sdfz"
[f=-000001] [~ScopedOnceTimer][PreGame::GameDataReceived] 123ms
[f=-000001] [PreGame::UpdateClientNet] received local player number 0 (team 0, allyteam 0), creating LoadScreen
[f=-000001] [LuaIntro] Searching for new Widgets
[f=-000001] [LuaIntro] Scanning: LuaIntro/Addons/
[f=-000001] [LuaIntro] Scanning: LuaIntro/Widgets/
[f=-000001] [LuaIntro] Scanning: LuaIntro/SystemAddons/
[f=-000001] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
[f=-000001] [LuaIntro] Scanning: LuaIntro/chili/
[f=-000001] [LuaIntro] Found new widget "SpringLogo"
[f=-000001] [LuaIntro] Found new widget "LoadTexture"
[f=-000001] [LuaIntro] Found new widget "LoadProgress"
[f=-000001] [LuaIntro] Found new widget "Main"
[f=-000001] [LuaIntro] Found new widget "Music"
[f=-000001] [LuaIntro] Loading widgets <>=vfs **=raw ()=unknown
[f=-000001] [LuaIntro] Loading widget: LoadProgress <loadprogress.lua>
[f=-000001] [LuaIntro] Loading widget: Main <main.lua>
[f=-000001] [LuaIntro] Loading widget: Music <music.lua>
[f=-000001] [LuaIntro] Loading widget: LoadTexture <bg_texture.lua>
[f=-000001] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
[f=-000001] [LoadScreen::Init] single-threaded
[f=-000001] [WatchDog::RegisterThread] registering controls for thread [load]
[f=-000001] [Game::LoadGame][1] globalQuit=0 threaded=0
[f=-000001] [LoadScreen::SetLoadMessage] text="Parsing Map Information"
[f=-000001] [LoadScreen::SetLoadMessage] text="Loading SMF"
[f=-000001] [LoadScreen::SetLoadMessage] text="Loading Map (90 MB)"
[f=-000001] [LoadScreen::SetLoadMessage] text="Loading GameData Definitions"
[f=-000001] [weapondefs.lua] Error: removed plane_aa_missile weaponDef, missing model
[f=-000001] [weapondefs.lua] Error: removed sphere_aa_missile weaponDef, missing model
[f=-000001] [~ScopedOnceTimer][[defs.lua] loading all *Defs tables:] 20ms
[f=-000001] [~ScopedOnceTimer][Game::LoadDefs (GameData)] 26ms
[f=-000001] [LoadScreen::SetLoadMessage] text="Loading Radar Icons"
[f=-000001] [LoadScreen::SetLoadMessage] text="Loading Sound Definitions"
[f=-000001] [Sound] [LoadSoundDefsImpl] parsed 5 sounds from gamedata/sounds.lua
[f=-000001] [~ScopedOnceTimer][Game::LoadDefs (Sound)] 1ms
[f=-000001] [Game::LoadGame][2] globalQuit=0 forcedQuit=0
[f=-000001] [LoadScreen::SetLoadMessage] text="Creating Smooth Height Mesh"
[f=-000001] [~ScopedOnceTimer][SmoothHeightMesh::MakeSmoothMesh] 54ms
[f=-000001] [LoadScreen::SetLoadMessage] text="Creating QuadField & CEGs"
[f=-000001] [Init] number of ArmorDefs: 2
[f=-000001] [RegisterModelFormats] supported (Assimp) model formats: *.3ds;*.blend;*.dae;*.lwo;*.obj;
[f=-000001] [LoadScreen::SetLoadMessage] text="Creating Unit Textures"
[f=-000001] [LoadScreen::SetLoadMessage] text="Creating Sky"
[f=-000001] [Game::LoadGame][3] globalQuit=0 forcedQuit=0
[f=-000001] [LoadScreen::SetLoadMessage] text="Loading Weapon Definitions"
[f=-000001] Warning: WeaponDefs: Unknown tag "collidefirebase" in "machinegun"
[f=-000001] Warning: WeaponDefs: Unknown tag "collidefirebase" in "railgun"
[f=-000001] Warning: WeaponDefs: Unknown tag "description" in "sniperrifle"
[f=-000001] Warning: WeaponDefs: Unknown tag "soundfire" in "sniperrifle"
[f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (WeaponDefs)] 3ms
[f=-000001] [LoadScreen::SetLoadMessage] text="Loading Unit Definitions"
[f=-000001] Error: WARNING: Couldn't find a MoveClass named bhover3 (used in UnitDef: origod)
[f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (UnitDefs)] 3ms
[f=-000001] [LoadScreen::SetLoadMessage] text="Loading Feature Definitions"
[f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (FeatureDefs)] 1ms
[f=-000001] [IPathManager::GetInstance] using QTPFS
[f=-000001] [LoadScreen::SetLoadMessage] text="Initializing Map Features"
[f=-000001] [LoadScreen::SetLoadMessage] text="Creating ShadowHandler"
[f=-000001] [LoadScreen::SetLoadMessage] text="Creating InfoTextureHandler"
[f=-000001] [LoadScreen::SetLoadMessage] text="Creating GroundDrawer"
[f=-000001] [LoadScreen::SetLoadMessage] text="Loading Map Tiles"
[f=-000001] [LoadScreen::SetLoadMessage] text="Loading Square Textures"
[f=-000001] [~ScopedOnceTimer][CSMFGroundTextures::ConvolveHeightMap] 1ms
[f=-000001] Switching to ROAM Mesh Rendering
[f=-000001] [LoadScreen::SetLoadMessage] text="Creating TreeDrawer"
[f=-000001] Loaded DecalsDrawer: Legacy
[f=-000001] [LoadScreen::SetLoadMessage] text="Creating ProjectileDrawer & UnitDrawer"
[f=-000001] [LoadScreen::SetLoadMessage] text="Creating Projectile Textures"
[f=-000001] Error: Could not finalize projectile-texture atlas. Use fewer/smaller textures.
[f=-000001] Warning: FBO-PERLIN: Missing a required texture/buffer attachment!
[f=-000001] [LoadScreen::SetLoadMessage] text="Creating Water"
[f=-000001] [Game::LoadGame][4] globalQuit=0 forcedQuit=0
[f=-000001] [~ScopedOnceTimer][Game::LoadInterface (Console)] 0ms
[f=-000001] [Game::LoadLua] Lua developer mode disabled
[f=-000001] [LoadScreen::SetLoadMessage] text="Loading LuaRules"
[f=-000001] [~ScopedOnceTimer][creg::AutoRegisterCFunctions(LuaRules)] 7ms
[f=-000001] Synced LuaRules: starting loading
[f=-000001] Loading gadget: Lua unit script framework <unit_script.lua>
[f=-000001] Loading unit script: scripts/aircoptermgscript.lua
[f=-000001] Loading File:: scripts/aircoptermgscript.lua
[f=-000001] Completed Loading File: scripts/aircoptermgscript.lua
[f=-000001] Loading unit script: scripts/airssiedscript.lua
[f=-000001] Loading File:: scripts/airssiedscript.lua
[f=-000001] Completed Loading File: scripts/airssiedscript.lua
[f=-000001] Loading unit script: scripts/safehousescript.lua
[f=-000001] Loading File:: scripts/safehousescript.lua
[f=-000001] Completed Loading File: scripts/safehousescript.lua
[f=-000001] Loading unit script: scripts/assemblyscript.lua
[f=-000001] Loading File:: scripts/assemblyscript.lua
[f=-000001] Completed Loading File: scripts/assemblyscript.lua
[f=-000001] Loading unit script: scripts/civilianscript.lua
[f=-000001] Loading File:: scripts/civilianscript.lua
[f=-000001] Completed Loading File: scripts/civilianscript.lua
[f=-000001] Loading unit script: scripts/civilianagentscript.lua
[f=-000001] Loading File:: scripts/civilianagentscript.lua
[f=-000001] Completed Loading File: scripts/civilianagentscript.lua
[f=-000001] Loading unit script: scripts/gcscrapheap.lua
[f=-000001] Loading File:: scripts/gcscrapheap.lua
[f=-000001] Completed Loading File: scripts/gcscrapheap.lua
[f=-000001] Loading unit script: scripts/gcscrapheappeace.lua
[f=-000001] Loading File:: scripts/gcscrapheappeace.lua
[f=-000001] Completed Loading File: scripts/gcscrapheappeace.lua
[f=-000001] Loading unit script: scripts/truckassemblyscript.lua
[f=-000001] Loading File:: scripts/truckassemblyscript.lua
[f=-000001] Completed Loading File: scripts/truckassemblyscript.lua
[f=-000001] Loading unit script: scripts/truckscript.lua
[f=-000001] Loading File:: scripts/truckscript.lua
[f=-000001] Completed Loading File: scripts/truckscript.lua
[f=-000001] Loading unit script: scripts/turretscript.lua
[f=-000001] Loading File:: scripts/turretscript.lua
[f=-000001] Completed Loading File: scripts/turretscript.lua
[f=-000001] Loading unit script: scripts/housescript.lua
[f=-000001] Loading File:: scripts/housescript.lua
[f=-000001] Completed Loading File: scripts/housescript.lua
[f=-000001] Loading unit script: scripts/launchedicbmscript.lua
[f=-000001] Loading File:: scripts/launchedicbmscript.lua
[f=-000001] Completed Loading File: scripts/launchedicbmscript.lua
[f=-000001] Loading unit script: scripts/launcherscript.lua
[f=-000001] Loading File:: scripts/launcherscript.lua
[f=-000001] Completed Loading File: scripts/launcherscript.lua
[f=-000001] Loading unit script: scripts/placeholder.lua
[f=-000001] Loading File:: scripts/placeholder.lua
[f=-000001] Completed Loading File: scripts/placeholder.lua
[f=-000001] Loading unit script: scripts/nimrodscript.lua
[f=-000001] Loading File:: scripts/nimrodscript.lua
[f=-000001] Completed Loading File: scripts/nimrodscript.lua
[f=-000001] Loading unit script: scripts/noonescript.lua
[f=-000001] Loading File:: scripts/noonescript.lua
[f=-000001] Completed Loading File: scripts/noonescript.lua
[f=-000001] Loading unit script: scripts/operativeassetscript.lua
[f=-000001] Loading File:: scripts/operativeassetscript.lua
[f=-000001] Completed Loading File: scripts/operativeassetscript.lua
[f=-000001] Loading unit script: scripts/operativeinvestigatorscript.lua
[f=-000001] Loading File:: scripts/operativeinvestigatorscript.lua
[f=-000001] Completed Loading File: scripts/operativeinvestigatorscript.lua
[f=-000001] Loading unit script: scripts/operativepropagatorscript.lua
[f=-000001] Loading File:: scripts/operativepropagatorscript.lua
[f=-000001] Completed Loading File: scripts/operativepropagatorscript.lua
[f=-000001] Loading unit script: scripts/propagandaserverscript.lua
[f=-000001] Loading File:: scripts/propagandaserverscript.lua
[f=-000001] Completed Loading File: scripts/propagandaserverscript.lua
[f=-000001] Loading unit script: scripts/recruitcivilianscript.lua
[f=-000001] Loading File:: scripts/recruitcivilianscript.lua
[f=-000001] Completed Loading File: scripts/recruitcivilianscript.lua
[f=-000001] Loading unit script: scripts/satellitescript.lua
[f=-000001] Loading File:: scripts/satellitescript.lua
[f=-000001] Completed Loading File: scripts/satellitescript.lua
[f=-000001] Loading unit script: scripts/transportedassemblyscript.lua
[f=-000001] Loading File:: scripts/transportedassemblyscript.lua
[f=-000001] Completed Loading File: scripts/transportedassemblyscript.lua
[f=-000001] 512, 448
[f=-000001] satellitecom is a zeppelin with cruisealt 1500
[f=-000001] satellitegodrod is a zeppelin with cruisealt 1500
[f=-000001] satellitescan is a zeppelin with cruisealt 1500
[f=-000001] Synced LuaRules: finished loading
[f=-000001] Unsynced LuaRules: starting loading
[f=-000001] Error: [LuaRules::RunCallInTraceback] error=2 (LUA_ERRRUN) callin=LoadCode trace=[Internal Lua error: Call failure] [LuaVFS::Include(synced=0)][pcall] file=LuaRules/gadgets.lua error=2 ([string "LuaRules/Gadgets/lups_manager.lua"]:320: attempt to call field 'CreateList' (a nil value)) ptop=3 cenv=0
stack traceback:
    [C]: in function 'Include'
    [string "LuaRules/draw.lua"]:38: in main chunk
[f=-000001] [LuaMemPool::LogStats][handle=LuaRules (unsynced)] index=18446744073709551615 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={337302,0,0} {chunk,block}Bytes={0,0}
[f=-000001] [LuaMemPool::LogStats][handle=LuaRules (synced)] index=18446744073709551615 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={337302,0,0} {chunk,block}Bytes={0,0}
[f=-000001] [LoadScreen::SetLoadMessage] text="Loading LuaGaia"
[f=-000001] [LoadScreen::SetLoadMessage] text="Loading LuaUI"
[f=-000001] LuaUI Entry Point: "LuaUI/main.lua"
[f=-000001] LuaSocket Support: enabled
[f=-000001] [LuaMemPool::LogStats][handle=LuaUI (unsynced)] index=18446744073709551615 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={87,0,0} {chunk,block}Bytes={0,0}
[f=-000001] [Game::LoadGame][5] globalQuit=0 forcedQuit=0
[f=-000001] [LoadScreen::SetLoadMessage] text="[LoadFinalize] finalizing PFS"
[f=-000001] [LoadScreen::SetLoadMessage] text="[PathManager::GetCacheDirName] using cache-dir "cache\104dev-develop/QTPFS/0010/6db03f4ed54ec3ac-4d4fce441ce18286/" (map-checksum 6db03f4ed54ec3acb564cf0ec2168d255f42b2d7435449997ffababdad598fd6c9ebaaa4aa7f1a80844f9cb7ab7d3ec4ea49a1797d1c2e8f20fbec8bb3cbfef6, mod-checksum 4d4fce441ce1828681c1ce50046d81e5d87520593e420de989acbe26a9f4f5595f8a01b37d74c076bb034d863b79442e9c8aed4c097e23cb80362d1a80dfa894)"
[f=-000001] [LoadScreen::SetLoadMessage] text="[PathManager::InitNodeLayersThreaded] using 4 threads for 2 node-layers (uncached)"
[f=-000001] [LoadScreen::SetLoadMessage] text="[Load] pfs-checksum: b6b4ed0a, mem-footprint: 52MB"
[f=-000001] [LoadScreen::SetLoadMessage] text="[LoadFinalize] finalized PFS (206ms, checksum b6b4ed0a)"
[f=-000001] [LoadScreen::SetLoadMessage] text="Loading Skirmish AIs"
[f=-000001] [EOH::CreateSkirmishAI(id=0)]
[f=-000001] [AIWrapper::PreInit] creating callbacks for AI 0 on team 1
[f=-000001] [~ScopedOnceTimer][Game::LoadSkirmishAIs::CreateAI(id=0)] 341ms
[f=-000001] [~ScopedOnceTimer][Game::LoadSkirmishAIs] 341ms
[f=-000001] [Game::LoadGame][6] globalQuit=0 forcedQuit=0
[f=-000001] [LuaMemPool::LogStats][handle=LuaIntro (unsynced)] index=1 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={10997,0,0} {chunk,block}Bytes={0,0}
[f=-000001] GameID: 11e6cd5c2f04bc3dc2518fe905942b23
[f=-000001] Connection attempt from UnnamedPlayer
[f=-000001] -> Version: 104.0.1-1766-gc2a221b develop [Windows 64-bit (native)]
[f=-000001] -> Connection established (given id 0)
[f=-000001] [Game::ClientReadNet][LOGMSG] sender="UnnamedPlayer" string="[PreGame::GameDataReceived][map-checksums]
    server=6db03f4ed54ec3acb564cf0ec2168d255f42b2d7435449997ffababdad598fd6c9ebaaa4aa7f1a80844f9cb7ab7d3ec4ea49a1797d1c2e8f20fbec8bb3cbfef6
    client=6db03f4ed54ec3acb564cf0ec2168d255f42b2d7435449997ffababdad598fd6c9ebaaa4aa7f1a80844f9cb7ab7d3ec4ea49a1797d1c2e8f20fbec8bb3cbfef6"
[f=-000001] [Game::ClientReadNet][LOGMSG] sender="UnnamedPlayer" string="[PreGame::GameDataReceived][mod-checksums]
    server=4d4fce441ce1828681c1ce50046d81e5d87520593e420de989acbe26a9f4f5595f8a01b37d74c076bb034d863b79442e9c8aed4c097e23cb80362d1a80dfa894
    client=4d4fce441ce1828681c1ce50046d81e5d87520593e420de989acbe26a9f4f5595f8a01b37d74c076bb034d863b79442e9c8aed4c097e23cb80362d1a80dfa894"
[f=-000001] [Game::ClientReadNet] local skirmish AI "Enemy" (ID: 0, Short-Name: "RAI", Version: "0.601") took over control of team 1
[f=-000001] [Game::ClientReadNet][LOGMSG] sender="UnnamedPlayer" string="[Game::LoadGame][lua{Rules,Gaia}={0000000000000000,0000000000000000}]"
[f=-000001] Player UnnamedPlayer finished loading and is now ingame
[f=0000625] [CBitmap::Save] saving "screenshots/screen00000.jpg" to "C:\Users\PicassoCT\Documents\My Games\Spring\screenshots\screen00000.jpg" (IL_VERSION=178 IL_UNICODE=0)
[f=0000625] [CBitmap::Save] error 0x50a saving "screenshots/screen00000.jpg" to "C:\Users\PicassoCT\Documents\My Games\Spring\screenshots\screen00000.jpg"
[f=0000705] [CBitmap::Save] saving "screenshots/screen00001.jpg" to "C:\Users\PicassoCT\Documents\My Games\Spring\screenshots\screen00001.jpg" (IL_VERSION=178 IL_UNICODE=0)
[f=0000705] [CBitmap::Save] error 0x50a saving "screenshots/screen00001.jpg" to "C:\Users\PicassoCT\Documents\My Games\Spring\screenshots\screen00001.jpg"
[f=0000881] Cheating is enabled!
[f=0000979] propagandaserver protagonsafehouse
[f=0001091] [GiveUnits] spawned 1 house unit(s) for team 0
[f=0001352] [GiveUnits] spawned 1 protagonsafehouse unit(s) for team 0
[f=0001802] [QuitBox] user exited to system
[f=0001802] [SpringApp::Kill][1] fromRun=1
[f=0001802] [ThreadPool::SetThreadCount][1] wanted=0 current=3 maximum=4 (init=0)
[f=0001802] [async=0] threads=3 tasks=7044 {sum,avg}{exec,wait}time={{35767.910, 5.078}, {1446.872, 0.205}}ms
[f=0001802] thread=1 tasks=3522 {sum,min,max,avg}{exec,wait}time={{17908.277, 0.000, 16000.217, 5.085}, {32.896, 0.000, 1.030, 0.009}}ms
[f=0001802] thread=2 tasks=3522 {sum,min,max,avg}{exec,wait}time={{17859.631, 0.000, 16004.268, 5.071}, {1413.976, 0.000, 18.950, 0.401}}ms
[f=0001802] [async=1] threads=3 tasks=12 {sum,avg}{exec,wait}time={{516.146, 43.012}, {432.888, 36.074}}ms
[f=0001802] thread=1 tasks=6 {sum,min,max,avg}{exec,wait}time={{409.430, 0.000, 393.502, 68.238}, {129.697, 0.000, 33.911, 21.616}}ms
[f=0001802] thread=2 tasks=6 {sum,min,max,avg}{exec,wait}time={{106.716, 0.000, 68.816, 17.786}, {303.191, 0.000, 90.758, 50.532}}ms
[f=0001802] [ThreadPool::SetThreadCount][2] workers=0
[f=0001802] [SpringApp::Kill][2]
[f=0001802] [Game::KillLua][0] dtor=0 loadscreen=0000000000000000
[f=0001802] [Game::KillLua][3] dtor=0 luaUI=0000000000000000
[f=0001802] [Game::KillLua][1] dtor=0 luaGaia=0000000000000000
[f=0001802] [Game::KillLua][2] dtor=0 luaRules=0000000000000000
[f=0001802] [Game::KillLua][4] dtor=0
[f=0001802] [WriteDemoFile] writing client-demo "C:\Users\PicassoCT\Documents\My Games\Spring\demos\20190504_212050_Tabula-v4_104.0.1-1766-gc2a221b develop.sdfz" (20577 bytes)
[f=0001802] [Sound] [Sound::Kill] soundThread.joinable()=1
[f=0001802] [WatchDog::DeregisterThread] deregistering controls for thread [audio]
[f=0001802] [Sound] [Sound::UpdateThread][3] #sources=128 #items=5
[f=0001802] [Sound] [Sound::UpdateThread][4] ctx=000000004609edd0 dev=000000006cde10a0
[f=0001802] [Sound] [Sound::UpdateThread][5] ctx=000000004609edd0 dev=000000006cde10a0
[f=0001802] [Sound] [Sound::Cleanup][alcDestroyContext(000000004609edd0)]
[f=0001802] [Sound] [Sound::Cleanup][alcCloseDevice(000000006cde10a0)]
[f=0001802] [Sound] [Sound::UpdateThread][6]
[f=0001802] [Game::~CGame][1]
[f=0001802] [Game::KillLua][0] dtor=1 loadscreen=0000000000000000
[f=0001802] [Game::KillLua][3] dtor=1 luaUI=0000000000000000
[f=0001802] [Game::KillLua][1] dtor=1 luaGaia=0000000000000000
[f=0001802] [Game::KillLua][2] dtor=1 luaRules=0000000000000000
[f=0001802] [Game::KillLua][4] dtor=1
[f=0001802] [Game::KillMisc][1]
[f=0001802] [Game::KillMisc][2]
[f=0001802] [EOH::DestroySkirmishAI(id=0)]
[f=0001802] [Game::KillMisc][3]
[f=0001802] [Game::KillRendering][1]
[f=0001802] [3DOParser::Kill] allocated 1 pieces
[f=0001802] [S3OParser::Kill] allocated 85 pieces
[f=0001802] [AssParser::Kill] allocated 27 pieces
[f=0001802] [Game::KillInterface][1]
[f=0001802] [Game::KillInterface][2]
[f=0001802] [Game::KillSimulation][1]
[f=0001802] [Game::KillSimulation][2]
[f=0001802] [CCollisionHandler] dis-/continuous tests: 0/1968577
[f=0001802] [Game::KillSimulation][3]
[f=0001802] [~CRectangleOverlapHandler] 0% overlap reduction
[f=0001802] [~CRectangleOverlapHandler] 0% overlap reduction
[f=0001802] [LosHandler::Kill] raycast instance cache-{hits,misses}={1,1}; shared=0%; cached=50%
[f=0001802] [Game::KillSimulation][4]
[f=0001802] [CommonDefHandler::KillStatic] 28 sound-set data items added
[f=0001802] [Game::~CGame][2]
[f=0001802] [Game::~CGame][3]
[f=0001802] [SpringApp::Kill][3]
[f=0001802] [NetProto::~CNetProtocol] [LocalConnection::Statistics]
    20003 bytes sent
    4634 bytes recv'd

[f=0001802] [SpringApp::Kill][4] font=0000000045eb2fd0
[f=0001802] [SpringApp::Kill][5]
[f=0001802] [SpringApp::Kill][6]
[SpringApp::Kill][7]
[LuaSocket] [~CLuaSocketRestrictions] dumping luasocket rules:
[LuaSocket] TCP_CONNECT ALLOW * -1
[LuaSocket] TCP_LISTEN ALLOW * -1
[LuaSocket] UDP_LISTEN ALLOW * -1
[~CBufferedArchive][name=D:\spring\base\springcontent.sdz] 222901 bytes cached in 105 files
[~CBufferedArchive][name=D:\spring\base\cursors.sdz] 522874 bytes cached in 111 files
[~CBufferedArchive][name=D:\spring\base\spring\bitmaps.sdz] 2070780 bytes cached in 30 files
[~CBufferedArchive][name=D:\spring\base\maphelper.sdz] 14008 bytes cached in 3 files
[SpringApp::Kill][8]
[WatchDog::DeregisterThread] deregistering controls for thread [main]
[WatchDog::Uninstall][1] hangDetectorThread=0000000001a7bc30 (joinable=1)
[WatchDog::Uninstall][2]
[WatchDog::Uninstall][3]
[SpringApp::Kill][9]

~0019980

Kloot (developer)

"Spring Engine Version: 104.0.1-1766-gc2a221b develop"

you downloaded the wrong build, develop != maintenance
+Notes

-Issue History
Date Modified Username Field Change
2019-05-01 22:26 PicassoCT New Issue
2019-05-01 22:26 PicassoCT Tag Attached: factory
2019-05-01 22:26 PicassoCT Tag Attached: Transport
2019-05-01 22:26 PicassoCT Tag Attached: Transport behavior
2019-05-02 17:15 Kloot Assigned To => Kloot
2019-05-02 17:15 Kloot Status new => assigned
2019-05-03 01:25 Kloot Status assigned => resolved
2019-05-03 01:25 Kloot Resolution open => fixed
2019-05-03 01:25 Kloot Fixed in Version => 104.0 +git
2019-05-03 01:25 Kloot Note Added: 0019969
2019-05-03 19:39 PicassoCT Status resolved => feedback
2019-05-03 19:39 PicassoCT Resolution fixed => reopened
2019-05-03 19:39 PicassoCT Note Added: 0019970
2019-05-04 14:19 Kloot Note Added: 0019973
2019-05-04 14:21 Kloot Note Edited: 0019973 View Revisions
2019-05-04 14:22 Kloot Status feedback => resolved
2019-05-04 14:22 Kloot Resolution reopened => fixed
2019-05-04 21:25 PicassoCT Status resolved => feedback
2019-05-04 21:25 PicassoCT Resolution fixed => reopened
2019-05-04 21:25 PicassoCT Note Added: 0019974
2019-05-05 01:31 Kloot Status feedback => resolved
2019-05-05 01:31 Kloot Resolution reopened => fixed
2019-05-05 01:31 Kloot Note Added: 0019980
+Issue History